
        define = window.define;
        define("{{applicationName}}/src/services/docs-route", ["exports"], function (_exports) {
  "use strict";

  Object.defineProperty(_exports, "__esModule", {
    value: true
  });
  _exports.default = void 0;

  var _default = Ember.Service.extend({
    router: Ember.inject.service(),
    width: null,
    height: null,
    maxMobileWidthInPx: 992,
    mobileToggle: false,

    init() {
      this._super(...arguments);

      this.set('routes', Ember.A());
      this.updateDimensions();
      window.addEventListener('resize', () => this.updateDimensions());
    },

    updateDimensions() {
      this.set('width', window.innerWidth);
      this.set('height', window.innerHeight);
    },

    willDestroy() {
      window.removeEventListener('resize');
    },

    actionsOnRouteChange: Ember.observer('currentRoute', function () {
      document.querySelector('html').scrollTop = 0;
      this.set('mobileToggle', false);
    }),
    isMobile: Ember.computed('width', function () {
      return this.width <= this.maxMobileWidthInPx;
    }),
    currentRoute: Ember.computed('router.currentRouteName', 'routes.@each', function () {
      if (this.routes.length) {
        return this.routes.find(routeObject => this.router.currentRouteName === routeObject.route);
      }
    }),
    currentRouteIndex: Ember.computed('currentRoute', 'routes.@each', function () {
      if (this.currentRoute) {
        const index = this.routes.findIndex(element => element.route === this.currentRoute.route);
        return index >= 0 ? index : null;
      }
    }),
    previousRoute: Ember.computed('currentRouteIndex', 'routes.@each', function () {
      if (this.currentRouteIndex > 0) {
        return this.routes[this.currentRouteIndex - 1];
      }
    }),
    nextRoute: Ember.computed('currentRouteIndex', 'routes.@each', function () {
      if (this.currentRouteIndex < this.routes.length - 1) {
        return this.routes[this.currentRouteIndex + 1];
      }
    })
  });

  _exports.default = _default;
});
define("{{applicationName}}/src/ui/components/docs-and", ["exports"], function (_exports) {
  "use strict";

  Object.defineProperty(_exports, "__esModule", {
    value: true
  });
  _exports.helper = void 0;
  let helper = Ember.Helper.helper(([leftSide, rightSide]) => {
    return leftSide && rightSide;
  });
  _exports.helper = helper;
});
define("{{applicationName}}/src/ui/components/docs-eq", ["exports"], function (_exports) {
  "use strict";

  Object.defineProperty(_exports, "__esModule", {
    value: true
  });
  _exports.helper = void 0;
  let helper = Ember.Helper.helper(([leftSide, rightSide]) => {
    return leftSide === rightSide;
  });
  _exports.helper = helper;
});
define("{{applicationName}}/src/ui/components/docs-bottom-links/component", ["exports"], function (_exports) {
  "use strict";

  Object.defineProperty(_exports, "__esModule", {
    value: true
  });
  _exports.default = void 0;

  var _default = Ember.Component.extend({
    docsRoute: Ember.inject.service()
  });

  _exports.default = _default;
});
define("{{applicationName}}/src/ui/components/docs-bottom-links/template", ["exports"], function (exports) {
    "use strict";

    Object.defineProperty(exports, "__esModule", {
      value: true
    });

    exports.default = Ember.HTMLBars.template({"id":"LrZUSaY1","block":"{\"symbols\":[],\"statements\":[[7,\"div\",true],[11,\"class\",[29,[\"docs-bottom-links \",[28,\"unless\",[[28,\"docs-and\",[[23,0,[\"docsRoute\",\"previousRoute\"]],[23,0,[\"docsRoute\",\"nextRoute\"]]],null],\"docs-bottom-full-length\"],null]]]],[8],[0,\"\\n\"],[4,\"if\",[[23,0,[\"docsRoute\",\"previousRoute\"]]],null,{\"statements\":[[0,\"    \"],[5,\"link-to\",[],[[\"@route\"],[[23,0,[\"docsRoute\",\"previousRoute\",\"route\"]]]],{\"statements\":[[0,\"\\n      Previous\\n      \"],[7,\"h4\",true],[8],[1,[23,0,[\"docsRoute\",\"previousRoute\",\"label\"]],false],[9],[0,\"\\n    \"]],\"parameters\":[]}],[0,\"\\n\"]],\"parameters\":[]},null],[0,\"\\n\"],[4,\"if\",[[23,0,[\"docsRoute\",\"nextRoute\"]]],null,{\"statements\":[[0,\"    \"],[5,\"link-to\",[[12,\"class\",\"docs-bottom-links-right\"]],[[\"@route\"],[[23,0,[\"docsRoute\",\"nextRoute\",\"route\"]]]],{\"statements\":[[0,\"\\n      Next\\n      \"],[7,\"h4\",true],[8],[1,[23,0,[\"docsRoute\",\"nextRoute\",\"label\"]],false],[9],[0,\"\\n    \"]],\"parameters\":[]}],[0,\"\\n\"]],\"parameters\":[]},null],[9],[0,\"\\n\"]],\"hasEval\":false}","meta":{"moduleName":"{{applicationName}}/src/ui/components/docs-bottom-links/template"}});
  })
define("{{applicationName}}/src/ui/components/docs-color/component", ["exports"], function (_exports) {
  "use strict";

  Object.defineProperty(_exports, "__esModule", {
    value: true
  });
  _exports.default = void 0;

  var _default = Ember.Component.extend({
    tagName: '',
    color: null,
    escapedStyles: Ember.computed('color', function () {
      if (this.color) {
        return Ember.String.htmlSafe("background: ".concat(this.color));
      }
    })
  });

  _exports.default = _default;
});
define("{{applicationName}}/src/ui/components/docs-color/template", ["exports"], function (exports) {
    "use strict";

    Object.defineProperty(exports, "__esModule", {
      value: true
    });

    exports.default = Ember.HTMLBars.template({"id":"UMoGtRVF","block":"{\"symbols\":[],\"statements\":[[7,\"div\",true],[10,\"class\",\"docs-color\"],[11,\"style\",[23,0,[\"escapedStyles\"]]],[8],[0,\"\\n\"],[4,\"if\",[[23,0,[\"title\"]]],null,{\"statements\":[[0,\"    \"],[7,\"span\",true],[8],[1,[23,0,[\"title\"]],false],[9],[0,\"\\n\"]],\"parameters\":[]},null],[9],[0,\"\\n\"]],\"hasEval\":false}","meta":{"moduleName":"{{applicationName}}/src/ui/components/docs-color/template"}});
  })
define("{{applicationName}}/src/ui/components/docs-demo/component", ["exports"], function (_exports) {
  "use strict";

  Object.defineProperty(_exports, "__esModule", {
    value: true
  });
  _exports.default = void 0;

  var _default = Ember.Component.extend({
    classNames: ['docs-demo'],

    init() {
      this._super(...arguments);

      if (!this.snippets) {
        this.set('snippets', Ember.A());
      }
    },

    didInsertElement() {
      this.set('activeSnippet', this.snippets.firstObject);
    },

    actions: {
      changeSnippet(snippet) {
        this.set('activeSnippet', snippet);
      }

    }
  });

  _exports.default = _default;
});
define("{{applicationName}}/src/ui/components/docs-demo/template", ["exports"], function (exports) {
    "use strict";

    Object.defineProperty(exports, "__esModule", {
      value: true
    });

    exports.default = Ember.HTMLBars.template({"id":"YUvDW1HW","block":"{\"symbols\":[\"snippet\",\"snippet\",\"&default\"],\"statements\":[[14,3,[[28,\"hash\",null,[[\"example\",\"snippet\"],[[28,\"component\",[\"docs-demo/example\"],[[\"demo\"],[[23,0,[]]]]],[28,\"component\",[\"docs-demo/snippet\"],[[\"snippets\"],[[24,[\"snippets\"]]]]]]]]]],[0,\"\\n\\n\"],[4,\"if\",[[23,0,[\"activeSnippet\"]]],null,{\"statements\":[[0,\"  \"],[7,\"div\",true],[10,\"class\",\"docs-demo-snippet-titles\"],[8],[0,\"\\n\"],[4,\"each\",[[23,0,[\"snippets\"]]],null,{\"statements\":[[0,\"      \"],[7,\"button\",false],[12,\"class\",[28,\"if\",[[28,\"docs-eq\",[[23,2,[\"code\"]],[23,0,[\"activeSnippet\",\"code\"]]],null],\"active\"],null]],[3,\"action\",[[23,0,[]],\"changeSnippet\",[23,2,[]]]],[8],[0,\"\\n        \"],[1,[23,2,[\"title\"]],false],[0,\"\\n      \"],[9],[0,\"\\n\"]],\"parameters\":[2]},null],[0,\"  \"],[9],[0,\"\\n\\n\"],[4,\"each\",[[23,0,[\"snippets\"]]],null,{\"statements\":[[4,\"if\",[[28,\"docs-eq\",[[23,1,[\"code\"]],[23,0,[\"activeSnippet\",\"code\"]]],null]],null,{\"statements\":[[0,\"      \"],[7,\"div\",true],[10,\"class\",\"docs-demo-active-snippet\"],[8],[0,\"\\n        \"],[5,\"docs-snippet\",[],[[\"@code\"],[[23,0,[\"activeSnippet\",\"code\"]]]]],[0,\"\\n      \"],[9],[0,\"\\n\"]],\"parameters\":[]},{\"statements\":[[0,\"      \"],[7,\"div\",true],[10,\"class\",\"docs-demo-not-active-snippet\"],[8],[0,\"\\n        \"],[5,\"docs-snippet\",[],[[\"@code\"],[[23,0,[\"activeSnippet\",\"code\"]]]]],[0,\"\\n      \"],[9],[0,\"\\n\"]],\"parameters\":[]}]],\"parameters\":[1]},null]],\"parameters\":[]},null]],\"hasEval\":false}","meta":{"moduleName":"{{applicationName}}/src/ui/components/docs-demo/template"}});
  })
define("{{applicationName}}/src/ui/components/docs-dummy-example/component", ["exports"], function (_exports) {
  "use strict";

  Object.defineProperty(_exports, "__esModule", {
    value: true
  });
  _exports.default = void 0;

  var _class, _temp;

  function _applyDecoratedDescriptor(target, property, decorators, descriptor, context) { var desc = {}; Object.keys(descriptor).forEach(function (key) { desc[key] = descriptor[key]; }); desc.enumerable = !!desc.enumerable; desc.configurable = !!desc.configurable; if ('value' in desc || desc.initializer) { desc.writable = true; } desc = decorators.slice().reverse().reduce(function (desc, decorator) { return decorator(target, property, desc) || desc; }, desc); if (context && desc.initializer !== void 0) { desc.value = desc.initializer ? desc.initializer.call(context) : void 0; desc.initializer = undefined; } if (desc.initializer === void 0) { Object.defineProperty(target, property, desc); desc = null; } return desc; }

  let DocsDummyExample = (_class = (_temp = class DocsDummyExample extends Ember.Component {
    constructor(...args) {
      super(...args);
      this.isShowing = false;
    }

    toggleIsShowing() {
      this.toggleProperty('isShowing');
    }

  }, _temp), (_applyDecoratedDescriptor(_class.prototype, "toggleIsShowing", [Ember._action], Object.getOwnPropertyDescriptor(_class.prototype, "toggleIsShowing"), _class.prototype)), _class);
  _exports.default = DocsDummyExample;
});
define("{{applicationName}}/src/ui/components/docs-dummy-example/template", ["exports"], function (exports) {
    "use strict";

    Object.defineProperty(exports, "__esModule", {
      value: true
    });

    exports.default = Ember.HTMLBars.template({"id":"wI7yudzS","block":"{\"symbols\":[],\"statements\":[[7,\"div\",true],[10,\"class\",\"docs-dummy-example\"],[8],[0,\"\\n  \"],[7,\"button\",true],[11,\"onclick\",[28,\"action\",[[23,0,[]],\"toggleIsShowing\"],null]],[10,\"class\",\"docs-btn\"],[8],[0,\"\\n    Press me!\\n  \"],[9],[0,\"\\n\\n  \"],[7,\"p\",true],[10,\"class\",\"mt-4\"],[8],[0,\"\\n\"],[4,\"if\",[[23,0,[\"isShowing\"]]],null,{\"statements\":[[0,\"      Yep\\n\"]],\"parameters\":[]},{\"statements\":[[0,\"      Nope\\n\"]],\"parameters\":[]}],[0,\"  \"],[9],[0,\"\\n\"],[9],[0,\"\\n\"]],\"hasEval\":false}","meta":{"moduleName":"{{applicationName}}/src/ui/components/docs-dummy-example/template"}});
  })
define("{{applicationName}}/src/ui/components/docs-header/component", ["exports"], function (_exports) {
  "use strict";

  Object.defineProperty(_exports, "__esModule", {
    value: true
  });
  _exports.default = void 0;

  var _default = Ember.Component.extend({
    tagName: '',
    logo: '/images/ember-cli.svg',
    repository: 'https://github.com/izelnakri/mber'
  }); // NOTE: normally resets search input


  _exports.default = _default;
});
define("{{applicationName}}/src/ui/components/docs-header/template", ["exports"], function (exports) {
    "use strict";

    Object.defineProperty(exports, "__esModule", {
      value: true
    });

    exports.default = Ember.HTMLBars.template({"id":"G7//kbqs","block":"{\"symbols\":[\"&default\"],\"statements\":[[7,\"header\",true],[10,\"class\",\"docs-header\"],[8],[0,\"\\n  \"],[5,\"docs-header/link\",[],[[\"@route\"],[\"documentation\"]],{\"statements\":[[0,\"\\n\"],[4,\"if\",[[23,0,[\"logo\"]]],null,{\"statements\":[[0,\"      \"],[7,\"img\",true],[11,\"src\",[29,[[23,0,[\"logo\"]]]]],[10,\"height\",\"33\"],[10,\"class\",\"docs-header-logo\"],[8],[9],[0,\"\\n\"]],\"parameters\":[]},null],[0,\"  \"]],\"parameters\":[]}],[0,\"\\n\\n  \"],[7,\"div\",true],[10,\"class\",\"docs-header-links-wrapper\"],[8],[0,\"\\n    \"],[14,1,[[28,\"hash\",null,[[\"link\"],[[28,\"component\",[\"docs-header/link\"],null]]]]]],[0,\"\\n\\n\"],[0,\"\\n\"],[4,\"if\",[[23,0,[\"repository\"]]],null,{\"statements\":[[0,\"      \"],[5,\"docs-header/link\",[[12,\"class\",\"docs-header-repository-link\"]],[[\"@href\"],[\"https://github.com/izelnakri/mber\"]],{\"statements\":[[0,\"\\n        \"],[7,\"img\",true],[10,\"src\",\"/images/github.svg\"],[10,\"height\",\"25\"],[8],[9],[0,\"\\n      \"]],\"parameters\":[]}],[0,\"\\n\"]],\"parameters\":[]},null],[0,\"\\n\"],[0,\"  \"],[9],[0,\"\\n\\n\"],[0,\"\\n\"],[9],[0,\"\\n\"]],\"hasEval\":false}","meta":{"moduleName":"{{applicationName}}/src/ui/components/docs-header/template"}});
  })
define("{{applicationName}}/src/ui/components/docs-snippet/component", ["exports"], function (_exports) {
  "use strict";

  Object.defineProperty(_exports, "__esModule", {
    value: true
  });
  _exports.default = void 0;

  var _default = Ember.Component.extend({
    classNames: ['docs-snippet'],
    showCopy: true,
    code: null,
    trimmedCode: Ember.computed('code', function () {
      if (this.code) {
        return ('  ' + this.code.trim()).split('\n').map(x => x.replace(/\s\s/, '')).join('\n');
      }
    }),

    didInsertElement() {
      const element = this.element.querySelectorAll('pre')[0];

      if (this.language) {
        element.className += this.language;
      }

      window.hljs.highlightBlock(element);
    },

    actions: {
      copyToClipboard() {
        window.copee.toClipboard(this.trimmedCode);
      }

    }
  });

  _exports.default = _default;
});
define("{{applicationName}}/src/ui/components/docs-snippet/template", ["exports"], function (exports) {
    "use strict";

    Object.defineProperty(exports, "__esModule", {
      value: true
    });

    exports.default = Ember.HTMLBars.template({"id":"2wEY6FNp","block":"{\"symbols\":[],\"statements\":[[4,\"if\",[[23,0,[\"code\"]]],null,{\"statements\":[[4,\"if\",[[23,0,[\"title\"]]],null,{\"statements\":[[0,\"    \"],[7,\"span\",true],[8],[1,[23,0,[\"title\"]],false],[9],[0,\"\\n\"]],\"parameters\":[]},null],[0,\"\\n  \"],[7,\"div\",true],[10,\"class\",\"docs-snippet-code-block\"],[8],[0,\"\\n\"],[4,\"if\",[[23,0,[\"showCopy\"]]],null,{\"statements\":[[0,\"      \"],[7,\"button\",false],[12,\"class\",\"docs-snippet-code-block-copy\"],[3,\"action\",[[23,0,[]],\"copyToClipboard\"]],[8],[0,\"Copy\"],[9],[0,\"\\n\"]],\"parameters\":[]},null],[0,\"\\n    \"],[7,\"pre\",true],[8],[1,[23,0,[\"trimmedCode\"]],false],[9],[0,\"\\n  \"],[9],[0,\"\\n\"]],\"parameters\":[]},null]],\"hasEval\":false}","meta":{"moduleName":"{{applicationName}}/src/ui/components/docs-snippet/template"}});
  })
define("{{applicationName}}/src/ui/components/docs-viewer/component", ["exports"], function (_exports) {
  "use strict";

  Object.defineProperty(_exports, "__esModule", {
    value: true
  });
  _exports.default = void 0;

  var _default = Ember.Component.extend({
    tagName: ''
  });

  _exports.default = _default;
});
define("{{applicationName}}/src/ui/components/docs-viewer/template", ["exports"], function (exports) {
    "use strict";

    Object.defineProperty(exports, "__esModule", {
      value: true
    });

    exports.default = Ember.HTMLBars.template({"id":"K7LfcF/9","block":"{\"symbols\":[\"&default\"],\"statements\":[[7,\"div\",true],[10,\"class\",\"docs-viewer\"],[8],[0,\"\\n  \"],[14,1,[[28,\"hash\",null,[[\"navigation\",\"page\"],[[28,\"component\",[\"docs-viewer/navigation\"],null],[28,\"component\",[\"docs-viewer/page\"],null]]]]]],[0,\"\\n\\n  \"],[5,\"docs-viewer/page-index\",[],[[\"@pageIndex\"],[[23,0,[\"pageIndex\"]]]]],[0,\"\\n\"],[9],[0,\"\\n\"]],\"hasEval\":false}","meta":{"moduleName":"{{applicationName}}/src/ui/components/docs-viewer/template"}});
  })
define("{{applicationName}}/src/ui/components/docs-demo/example/component", ["exports"], function (_exports) {
  "use strict";

  Object.defineProperty(_exports, "__esModule", {
    value: true
  });
  _exports.default = void 0;

  var _default = Ember.Component.extend({
    tagName: ''
  });

  _exports.default = _default;
});
define("{{applicationName}}/src/ui/components/docs-demo/example/template", ["exports"], function (exports) {
    "use strict";

    Object.defineProperty(exports, "__esModule", {
      value: true
    });

    exports.default = Ember.HTMLBars.template({"id":"qKbb7GC9","block":"{\"symbols\":[\"&default\"],\"statements\":[[7,\"div\",true],[10,\"class\",\"docs-demo-example\"],[8],[0,\"\\n  \"],[14,1],[0,\"\\n\"],[9],[0,\"\\n\"]],\"hasEval\":false}","meta":{"moduleName":"{{applicationName}}/src/ui/components/docs-demo/example/template"}});
  })
define("{{applicationName}}/src/ui/components/docs-demo/snippet/component", ["exports"], function (_exports) {
  "use strict";

  Object.defineProperty(_exports, "__esModule", {
    value: true
  });
  _exports.default = void 0;

  var _default = Ember.Component.extend({
    tagName: '',
    name: null,

    didInsertElement() {
      if (this.snippets) {
        const code = this.code || '';
        this.snippets.pushObject(Ember.Object.create({
          title: this.title || 'Example',
          code: code,
          trimmedCode: code.trim()
        }));
      }
    }

  });

  _exports.default = _default;
});
define("{{applicationName}}/src/ui/components/docs-header/link/component", ["exports"], function (_exports) {
  "use strict";

  Object.defineProperty(_exports, "__esModule", {
    value: true
  });
  _exports.default = void 0;

  var _default = Ember.Component.extend({
    router: Ember.inject.service(),
    class: '',
    tagName: '',
    route: null
  });

  _exports.default = _default;
});
define("{{applicationName}}/src/ui/components/docs-header/link/template", ["exports"], function (exports) {
    "use strict";

    Object.defineProperty(exports, "__esModule", {
      value: true
    });

    exports.default = Ember.HTMLBars.template({"id":"giNU28c4","block":"{\"symbols\":[\"&default\"],\"statements\":[[4,\"if\",[[23,0,[\"href\"]]],null,{\"statements\":[[0,\"  \"],[7,\"a\",true],[11,\"href\",[23,0,[\"href\"]]],[11,\"class\",[29,[\"docs-header-link \",[22,\"class\"]]]],[8],[0,\"\\n    \"],[14,1],[0,\"\\n  \"],[9],[0,\"\\n\"]],\"parameters\":[]},{\"statements\":[[0,\"  \"],[5,\"link-to\",[[12,\"class\",[28,\"concat\",[\"docs-header-link \",[24,[\"class\"]]],null]]],[[\"@route\"],[[23,0,[\"route\"]]]],{\"statements\":[[0,\"\\n    \"],[14,1],[0,\"\\n  \"]],\"parameters\":[]}],[0,\"\\n\"]],\"parameters\":[]}]],\"hasEval\":false}","meta":{"moduleName":"{{applicationName}}/src/ui/components/docs-header/link/template"}});
  })
define("{{applicationName}}/src/ui/components/docs-viewer/navigation/component", ["exports"], function (_exports) {
  "use strict";

  Object.defineProperty(_exports, "__esModule", {
    value: true
  });
  _exports.default = void 0;

  var _default = Ember.Component.extend({
    docsRoute: Ember.inject.service(),
    tagName: '',
    navigationClass: Ember.computed('docsRoute.mobileToggle', 'docsRoute.isMobile', function () {
      if (this.docsRoute.isMobile && !this.docsRoute.mobileToggle) {
        return 'docs-toggle-hide';
      }

      return 'docs-toggle-show';
    }),
    actions: {
      toggleMobileNavigation() {
        this.set('docsRoute.mobileToggle', !this.docsRoute.mobileToggle);
      }

    }
  });

  _exports.default = _default;
});
define("{{applicationName}}/src/ui/components/docs-viewer/navigation/template", ["exports"], function (exports) {
    "use strict";

    Object.defineProperty(exports, "__esModule", {
      value: true
    });

    exports.default = Ember.HTMLBars.template({"id":"ZC0JPBdP","block":"{\"symbols\":[\"&default\"],\"statements\":[[7,\"nav\",true],[10,\"class\",\"docs-viewer-navigation\"],[8],[0,\"\\n\"],[4,\"if\",[[23,0,[\"docsRoute\",\"isMobile\"]]],null,{\"statements\":[[0,\"    \"],[7,\"header\",false],[12,\"class\",\"docs-viewer-navigation-mobile-toggle\"],[3,\"action\",[[23,0,[]],\"toggleMobileNavigation\"]],[8],[0,\"\\n      \"],[7,\"h6\",true],[8],[1,[28,\"if\",[[23,0,[\"docsRoute\",\"currentRoute\",\"label\"]],[23,0,[\"docsRoute\",\"currentRoute\",\"label\"]],\"Click to navigate\"],null],false],[9],[0,\"\\n      \"],[7,\"img\",true],[10,\"src\",\"/images/caret.svg\"],[10,\"height\",\"25\"],[8],[9],[0,\"\\n    \"],[9],[0,\"\\n\"]],\"parameters\":[]},null],[0,\"\\n  \"],[7,\"ul\",true],[11,\"class\",[29,[[23,0,[\"navigationClass\"]]]]],[8],[0,\"\\n    \"],[14,1,[[28,\"hash\",null,[[\"title\",\"link\"],[[28,\"component\",[\"docs-viewer/navigation/title\"],null],[28,\"component\",[\"docs-viewer/navigation/link\"],null]]]]]],[0,\"\\n  \"],[9],[0,\"\\n\"],[9],[0,\"\\n\"]],\"hasEval\":false}","meta":{"moduleName":"{{applicationName}}/src/ui/components/docs-viewer/navigation/template"}});
  })
define("{{applicationName}}/src/ui/components/docs-viewer/page/component", ["exports"], function (_exports) {
  "use strict";

  Object.defineProperty(_exports, "__esModule", {
    value: true
  });
  _exports.default = void 0;

  var _default = Ember.Component.extend({
    tagName: '',
    docsRoute: Ember.inject.service()
  }); // TODO: select all h tags ang generate links for them


  _exports.default = _default;
});
define("{{applicationName}}/src/ui/components/docs-viewer/page/template", ["exports"], function (exports) {
    "use strict";

    Object.defineProperty(exports, "__esModule", {
      value: true
    });

    exports.default = Ember.HTMLBars.template({"id":"CF4+DOKf","block":"{\"symbols\":[\"&default\"],\"statements\":[[7,\"div\",true],[10,\"class\",\"docs-viewer-page\"],[8],[0,\"\\n  \"],[14,1],[0,\"\\n\\n  \"],[5,\"docs-bottom-links\",[],[[],[]]],[0,\"\\n\"],[9],[0,\"\\n\"]],\"hasEval\":false}","meta":{"moduleName":"{{applicationName}}/src/ui/components/docs-viewer/page/template"}});
  })
define("{{applicationName}}/src/ui/components/docs-viewer/page-index/component", ["exports"], function (_exports) {
  "use strict";

  Object.defineProperty(_exports, "__esModule", {
    value: true
  });
  _exports.default = void 0;

  var _default = Ember.Component.extend({
    tagName: '',
    classNames: ['docs-viewer-page-index']
  });

  _exports.default = _default;
});
define("{{applicationName}}/src/ui/components/docs-viewer/page-index/template", ["exports"], function (exports) {
    "use strict";

    Object.defineProperty(exports, "__esModule", {
      value: true
    });

    exports.default = Ember.HTMLBars.template({"id":"Bbjr9i7J","block":"{\"symbols\":[\"&default\"],\"statements\":[[14,1],[0,\"\\n\"]],\"hasEval\":false}","meta":{"moduleName":"{{applicationName}}/src/ui/components/docs-viewer/page-index/template"}});
  })
define("{{applicationName}}/src/ui/components/docs-viewer/navigation/link/component", ["exports"], function (_exports) {
  "use strict";

  Object.defineProperty(_exports, "__esModule", {
    value: true
  });
  _exports.default = void 0;

  var _default = Ember.Component.extend({
    docsRoute: Ember.inject.service(),
    tagName: '',
    label: null,
    route: null,
    model: null,

    didInsertElement() {
      this.docsRoute.routes.pushObject(Ember.Object.create({
        label: this.label,
        route: this.route,
        model: this.model
      }));
    }

  });

  _exports.default = _default;
});
define("{{applicationName}}/src/ui/components/docs-viewer/navigation/link/template", ["exports"], function (exports) {
    "use strict";

    Object.defineProperty(exports, "__esModule", {
      value: true
    });

    exports.default = Ember.HTMLBars.template({"id":"zSKLdnOF","block":"{\"symbols\":[],\"statements\":[[7,\"li\",true],[10,\"class\",\"docs-viewer-navigation-link\"],[8],[0,\"\\n\"],[4,\"if\",[[23,0,[\"model\"]]],null,{\"statements\":[[0,\"    \"],[5,\"link-to\",[],[[\"@route\",\"@model\"],[[23,0,[\"route\"]],[23,0,[\"model\"]]]],{\"statements\":[[0,\"\\n      \"],[1,[23,0,[\"label\"]],false],[0,\"\\n    \"]],\"parameters\":[]}],[0,\"\\n\"]],\"parameters\":[]},{\"statements\":[[0,\"    \"],[5,\"link-to\",[],[[\"@route\"],[[23,0,[\"route\"]]]],{\"statements\":[[0,\"\\n      \"],[1,[23,0,[\"label\"]],false],[0,\"\\n    \"]],\"parameters\":[]}],[0,\"\\n\"]],\"parameters\":[]}],[9],[0,\"\\n\"]],\"hasEval\":false}","meta":{"moduleName":"{{applicationName}}/src/ui/components/docs-viewer/navigation/link/template"}});
  })
define("{{applicationName}}/src/ui/components/docs-viewer/navigation/title/component", ["exports"], function (_exports) {
  "use strict";

  Object.defineProperty(_exports, "__esModule", {
    value: true
  });
  _exports.default = void 0;

  var _default = Ember.Component.extend({
    tagName: '',
    label: null
  });

  _exports.default = _default;
});
define("{{applicationName}}/src/ui/components/docs-viewer/navigation/title/template", ["exports"], function (exports) {
    "use strict";

    Object.defineProperty(exports, "__esModule", {
      value: true
    });

    exports.default = Ember.HTMLBars.template({"id":"oGATCWQ+","block":"{\"symbols\":[],\"statements\":[[7,\"li\",true],[10,\"class\",\"docs-viewer-navigation-title\"],[8],[0,\"\\n  \"],[1,[23,0,[\"label\"]],false],[0,\"\\n\"],[9],[0,\"\\n\"]],\"hasEval\":false}","meta":{"moduleName":"{{applicationName}}/src/ui/components/docs-viewer/navigation/title/template"}});
  })
/*! highlight.js v9.12.0 | BSD3 License | git.io/hljslicense */
!function(e){var n="object"==typeof window&&window||"object"==typeof self&&self;"undefined"!=typeof exports?e(exports):n&&(n.hljs=e({}),"function"==typeof define&&define.amd&&define([],function(){return n.hljs}))}(function(e){function n(e){return e.replace(/&/g,"&amp;").replace(/</g,"&lt;").replace(/>/g,"&gt;")}function t(e){return e.nodeName.toLowerCase()}function r(e,n){var t=e&&e.exec(n);return t&&0===t.index}function a(e){return k.test(e)}function i(e){var n,t,r,i,o=e.className+" ";if(o+=e.parentNode?e.parentNode.className:"",t=B.exec(o))return w(t[1])?t[1]:"no-highlight";for(o=o.split(/\s+/),n=0,r=o.length;r>n;n++)if(i=o[n],a(i)||w(i))return i}function o(e){var n,t={},r=Array.prototype.slice.call(arguments,1);for(n in e)t[n]=e[n];return r.forEach(function(e){for(n in e)t[n]=e[n]}),t}function u(e){var n=[];return function r(e,a){for(var i=e.firstChild;i;i=i.nextSibling)3===i.nodeType?a+=i.nodeValue.length:1===i.nodeType&&(n.push({event:"start",offset:a,node:i}),a=r(i,a),t(i).match(/br|hr|img|input/)||n.push({event:"stop",offset:a,node:i}));return a}(e,0),n}function c(e,r,a){function i(){return e.length&&r.length?e[0].offset!==r[0].offset?e[0].offset<r[0].offset?e:r:"start"===r[0].event?e:r:e.length?e:r}function o(e){function r(e){return" "+e.nodeName+'="'+n(e.value).replace('"',"&quot;")+'"'}s+="<"+t(e)+E.map.call(e.attributes,r).join("")+">"}function u(e){s+="</"+t(e)+">"}function c(e){("start"===e.event?o:u)(e.node)}for(var l=0,s="",f=[];e.length||r.length;){var g=i();if(s+=n(a.substring(l,g[0].offset)),l=g[0].offset,g===e){f.reverse().forEach(u);do c(g.splice(0,1)[0]),g=i();while(g===e&&g.length&&g[0].offset===l);f.reverse().forEach(o)}else"start"===g[0].event?f.push(g[0].node):f.pop(),c(g.splice(0,1)[0])}return s+n(a.substr(l))}function l(e){return e.v&&!e.cached_variants&&(e.cached_variants=e.v.map(function(n){return o(e,{v:null},n)})),e.cached_variants||e.eW&&[o(e)]||[e]}function s(e){function n(e){return e&&e.source||e}function t(t,r){return new RegExp(n(t),"m"+(e.cI?"i":"")+(r?"g":""))}function r(a,i){if(!a.compiled){if(a.compiled=!0,a.k=a.k||a.bK,a.k){var o={},u=function(n,t){e.cI&&(t=t.toLowerCase()),t.split(" ").forEach(function(e){var t=e.split("|");o[t[0]]=[n,t[1]?Number(t[1]):1]})};"string"==typeof a.k?u("keyword",a.k):x(a.k).forEach(function(e){u(e,a.k[e])}),a.k=o}a.lR=t(a.l||/\w+/,!0),i&&(a.bK&&(a.b="\\b("+a.bK.split(" ").join("|")+")\\b"),a.b||(a.b=/\B|\b/),a.bR=t(a.b),a.e||a.eW||(a.e=/\B|\b/),a.e&&(a.eR=t(a.e)),a.tE=n(a.e)||"",a.eW&&i.tE&&(a.tE+=(a.e?"|":"")+i.tE)),a.i&&(a.iR=t(a.i)),null==a.r&&(a.r=1),a.c||(a.c=[]),a.c=Array.prototype.concat.apply([],a.c.map(function(e){return l("self"===e?a:e)})),a.c.forEach(function(e){r(e,a)}),a.starts&&r(a.starts,i);var c=a.c.map(function(e){return e.bK?"\\.?("+e.b+")\\.?":e.b}).concat([a.tE,a.i]).map(n).filter(Boolean);a.t=c.length?t(c.join("|"),!0):{exec:function(){return null}}}}r(e)}function f(e,t,a,i){function o(e,n){var t,a;for(t=0,a=n.c.length;a>t;t++)if(r(n.c[t].bR,e))return n.c[t]}function u(e,n){if(r(e.eR,n)){for(;e.endsParent&&e.parent;)e=e.parent;return e}return e.eW?u(e.parent,n):void 0}function c(e,n){return!a&&r(n.iR,e)}function l(e,n){var t=N.cI?n[0].toLowerCase():n[0];return e.k.hasOwnProperty(t)&&e.k[t]}function p(e,n,t,r){var a=r?"":I.classPrefix,i='<span class="'+a,o=t?"":C;return i+=e+'">',i+n+o}function h(){var e,t,r,a;if(!E.k)return n(k);for(a="",t=0,E.lR.lastIndex=0,r=E.lR.exec(k);r;)a+=n(k.substring(t,r.index)),e=l(E,r),e?(B+=e[1],a+=p(e[0],n(r[0]))):a+=n(r[0]),t=E.lR.lastIndex,r=E.lR.exec(k);return a+n(k.substr(t))}function d(){var e="string"==typeof E.sL;if(e&&!y[E.sL])return n(k);var t=e?f(E.sL,k,!0,x[E.sL]):g(k,E.sL.length?E.sL:void 0);return E.r>0&&(B+=t.r),e&&(x[E.sL]=t.top),p(t.language,t.value,!1,!0)}function b(){L+=null!=E.sL?d():h(),k=""}function v(e){L+=e.cN?p(e.cN,"",!0):"",E=Object.create(e,{parent:{value:E}})}function m(e,n){if(k+=e,null==n)return b(),0;var t=o(n,E);if(t)return t.skip?k+=n:(t.eB&&(k+=n),b(),t.rB||t.eB||(k=n)),v(t,n),t.rB?0:n.length;var r=u(E,n);if(r){var a=E;a.skip?k+=n:(a.rE||a.eE||(k+=n),b(),a.eE&&(k=n));do E.cN&&(L+=C),E.skip||(B+=E.r),E=E.parent;while(E!==r.parent);return r.starts&&v(r.starts,""),a.rE?0:n.length}if(c(n,E))throw new Error('Illegal lexeme "'+n+'" for mode "'+(E.cN||"<unnamed>")+'"');return k+=n,n.length||1}var N=w(e);if(!N)throw new Error('Unknown language: "'+e+'"');s(N);var R,E=i||N,x={},L="";for(R=E;R!==N;R=R.parent)R.cN&&(L=p(R.cN,"",!0)+L);var k="",B=0;try{for(var M,j,O=0;;){if(E.t.lastIndex=O,M=E.t.exec(t),!M)break;j=m(t.substring(O,M.index),M[0]),O=M.index+j}for(m(t.substr(O)),R=E;R.parent;R=R.parent)R.cN&&(L+=C);return{r:B,value:L,language:e,top:E}}catch(T){if(T.message&&-1!==T.message.indexOf("Illegal"))return{r:0,value:n(t)};throw T}}function g(e,t){t=t||I.languages||x(y);var r={r:0,value:n(e)},a=r;return t.filter(w).forEach(function(n){var t=f(n,e,!1);t.language=n,t.r>a.r&&(a=t),t.r>r.r&&(a=r,r=t)}),a.language&&(r.second_best=a),r}function p(e){return I.tabReplace||I.useBR?e.replace(M,function(e,n){return I.useBR&&"\n"===e?"<br>":I.tabReplace?n.replace(/\t/g,I.tabReplace):""}):e}function h(e,n,t){var r=n?L[n]:t,a=[e.trim()];return e.match(/\bhljs\b/)||a.push("hljs"),-1===e.indexOf(r)&&a.push(r),a.join(" ").trim()}function d(e){var n,t,r,o,l,s=i(e);a(s)||(I.useBR?(n=document.createElementNS("http://www.w3.org/1999/xhtml","div"),n.innerHTML=e.innerHTML.replace(/\n/g,"").replace(/<br[ \/]*>/g,"\n")):n=e,l=n.textContent,r=s?f(s,l,!0):g(l),t=u(n),t.length&&(o=document.createElementNS("http://www.w3.org/1999/xhtml","div"),o.innerHTML=r.value,r.value=c(t,u(o),l)),r.value=p(r.value),e.innerHTML=r.value,e.className=h(e.className,s,r.language),e.result={language:r.language,re:r.r},r.second_best&&(e.second_best={language:r.second_best.language,re:r.second_best.r}))}function b(e){I=o(I,e)}function v(){if(!v.called){v.called=!0;var e=document.querySelectorAll("pre code");E.forEach.call(e,d)}}function m(){addEventListener("DOMContentLoaded",v,!1),addEventListener("load",v,!1)}function N(n,t){var r=y[n]=t(e);r.aliases&&r.aliases.forEach(function(e){L[e]=n})}function R(){return x(y)}function w(e){return e=(e||"").toLowerCase(),y[e]||y[L[e]]}var E=[],x=Object.keys,y={},L={},k=/^(no-?highlight|plain|text)$/i,B=/\blang(?:uage)?-([\w-]+)\b/i,M=/((^(<[^>]+>|\t|)+|(?:\n)))/gm,C="</span>",I={classPrefix:"hljs-",tabReplace:null,useBR:!1,languages:void 0};return e.highlight=f,e.highlightAuto=g,e.fixMarkup=p,e.highlightBlock=d,e.configure=b,e.initHighlighting=v,e.initHighlightingOnLoad=m,e.registerLanguage=N,e.listLanguages=R,e.getLanguage=w,e.inherit=o,e.IR="[a-zA-Z]\\w*",e.UIR="[a-zA-Z_]\\w*",e.NR="\\b\\d+(\\.\\d+)?",e.CNR="(-?)(\\b0[xX][a-fA-F0-9]+|(\\b\\d+(\\.\\d*)?|\\.\\d+)([eE][-+]?\\d+)?)",e.BNR="\\b(0b[01]+)",e.RSR="!|!=|!==|%|%=|&|&&|&=|\\*|\\*=|\\+|\\+=|,|-|-=|/=|/|:|;|<<|<<=|<=|<|===|==|=|>>>=|>>=|>=|>>>|>>|>|\\?|\\[|\\{|\\(|\\^|\\^=|\\||\\|=|\\|\\||~",e.BE={b:"\\\\[\\s\\S]",r:0},e.ASM={cN:"string",b:"'",e:"'",i:"\\n",c:[e.BE]},e.QSM={cN:"string",b:'"',e:'"',i:"\\n",c:[e.BE]},e.PWM={b:/\b(a|an|the|are|I'm|isn't|don't|doesn't|won't|but|just|should|pretty|simply|enough|gonna|going|wtf|so|such|will|you|your|they|like|more)\b/},e.C=function(n,t,r){var a=e.inherit({cN:"comment",b:n,e:t,c:[]},r||{});return a.c.push(e.PWM),a.c.push({cN:"doctag",b:"(?:TODO|FIXME|NOTE|BUG|XXX):",r:0}),a},e.CLCM=e.C("//","$"),e.CBCM=e.C("/\\*","\\*/"),e.HCM=e.C("#","$"),e.NM={cN:"number",b:e.NR,r:0},e.CNM={cN:"number",b:e.CNR,r:0},e.BNM={cN:"number",b:e.BNR,r:0},e.CSSNM={cN:"number",b:e.NR+"(%|em|ex|ch|rem|vw|vh|vmin|vmax|cm|mm|in|pt|pc|px|deg|grad|rad|turn|s|ms|Hz|kHz|dpi|dpcm|dppx)?",r:0},e.RM={cN:"regexp",b:/\//,e:/\/[gimuy]*/,i:/\n/,c:[e.BE,{b:/\[/,e:/\]/,r:0,c:[e.BE]}]},e.TM={cN:"title",b:e.IR,r:0},e.UTM={cN:"title",b:e.UIR,r:0},e.METHOD_GUARD={b:"\\.\\s*"+e.UIR,r:0},e});hljs.registerLanguage("json",function(e){var i={literal:"true false null"},n=[e.QSM,e.CNM],r={e:",",eW:!0,eE:!0,c:n,k:i},t={b:"{",e:"}",c:[{cN:"attr",b:/"/,e:/"/,c:[e.BE],i:"\\n"},e.inherit(r,{b:/:/})],i:"\\S"},c={b:"\\[",e:"\\]",c:[e.inherit(r)],i:"\\S"};return n.splice(n.length,0,t,c),{c:n,k:i,i:"\\S"}});hljs.registerLanguage("javascript",function(e){var r="[A-Za-z$_][0-9A-Za-z$_]*",t={keyword:"in of if for while finally var new function do return void else break catch instanceof with throw case default try this switch continue typeof delete let yield const export super debugger as async await static import from as",literal:"true false null undefined NaN Infinity",built_in:"eval isFinite isNaN parseFloat parseInt decodeURI decodeURIComponent encodeURI encodeURIComponent escape unescape Object Function Boolean Error EvalError InternalError RangeError ReferenceError StopIteration SyntaxError TypeError URIError Number Math Date String RegExp Array Float32Array Float64Array Int16Array Int32Array Int8Array Uint16Array Uint32Array Uint8Array Uint8ClampedArray ArrayBuffer DataView JSON Intl arguments require module console window document Symbol Set Map WeakSet WeakMap Proxy Reflect Promise"},a={cN:"number",v:[{b:"\\b(0[bB][01]+)"},{b:"\\b(0[oO][0-7]+)"},{b:e.CNR}],r:0},n={cN:"subst",b:"\\$\\{",e:"\\}",k:t,c:[]},c={cN:"string",b:"`",e:"`",c:[e.BE,n]};n.c=[e.ASM,e.QSM,c,a,e.RM];var s=n.c.concat([e.CBCM,e.CLCM]);return{aliases:["js","jsx"],k:t,c:[{cN:"meta",r:10,b:/^\s*['"]use (strict|asm)['"]/},{cN:"meta",b:/^#!/,e:/$/},e.ASM,e.QSM,c,e.CLCM,e.CBCM,a,{b:/[{,]\s*/,r:0,c:[{b:r+"\\s*:",rB:!0,r:0,c:[{cN:"attr",b:r,r:0}]}]},{b:"("+e.RSR+"|\\b(case|return|throw)\\b)\\s*",k:"return throw case",c:[e.CLCM,e.CBCM,e.RM,{cN:"function",b:"(\\(.*?\\)|"+r+")\\s*=>",rB:!0,e:"\\s*=>",c:[{cN:"params",v:[{b:r},{b:/\(\s*\)/},{b:/\(/,e:/\)/,eB:!0,eE:!0,k:t,c:s}]}]},{b:/</,e:/(\/\w+|\w+\/)>/,sL:"xml",c:[{b:/<\w+\s*\/>/,skip:!0},{b:/<\w+/,e:/(\/\w+|\w+\/)>/,skip:!0,c:[{b:/<\w+\s*\/>/,skip:!0},"self"]}]}],r:0},{cN:"function",bK:"function",e:/\{/,eE:!0,c:[e.inherit(e.TM,{b:r}),{cN:"params",b:/\(/,e:/\)/,eB:!0,eE:!0,c:s}],i:/\[|%/},{b:/\$[(.]/},e.METHOD_GUARD,{cN:"class",bK:"class",e:/[{;=]/,eE:!0,i:/[:"\[\]]/,c:[{bK:"extends"},e.UTM]},{bK:"constructor",e:/\{/,eE:!0}],i:/#(?!!)/}});hljs.registerLanguage("xml",function(s){var e="[A-Za-z0-9\\._:-]+",t={eW:!0,i:/</,r:0,c:[{cN:"attr",b:e,r:0},{b:/=\s*/,r:0,c:[{cN:"string",endsParent:!0,v:[{b:/"/,e:/"/},{b:/'/,e:/'/},{b:/[^\s"'=<>`]+/}]}]}]};return{aliases:["html","xhtml","rss","atom","xjb","xsd","xsl","plist"],cI:!0,c:[{cN:"meta",b:"<!DOCTYPE",e:">",r:10,c:[{b:"\\[",e:"\\]"}]},s.C("<!--","-->",{r:10}),{b:"<\\!\\[CDATA\\[",e:"\\]\\]>",r:10},{b:/<\?(php)?/,e:/\?>/,sL:"php",c:[{b:"/\\*",e:"\\*/",skip:!0}]},{cN:"tag",b:"<style(?=\\s|>|$)",e:">",k:{name:"style"},c:[t],starts:{e:"</style>",rE:!0,sL:["css","xml"]}},{cN:"tag",b:"<script(?=\\s|>|$)",e:">",k:{name:"script"},c:[t],starts:{e:"</script>",rE:!0,sL:["actionscript","javascript","handlebars","xml"]}},{cN:"meta",v:[{b:/<\?xml/,e:/\?>/,r:10},{b:/<\?\w+/,e:/\?>/}]},{cN:"tag",b:"</?",e:"/?>",c:[{cN:"name",b:/[^\/><\s]+/,r:0},t]}]}});hljs.registerLanguage("handlebars",function(e){var a={"builtin-name":"each in with if else unless bindattr action collection debugger log outlet template unbound view yield"};return{aliases:["hbs","html.hbs","html.handlebars"],cI:!0,sL:"xml",c:[e.C("{{!(--)?","(--)?}}"),{cN:"template-tag",b:/\{\{[#\/]/,e:/\}\}/,c:[{cN:"name",b:/[a-zA-Z\.-]+/,k:a,starts:{eW:!0,r:0,c:[e.QSM]}}]},{cN:"template-variable",b:/\{\{/,e:/\}\}/,k:a}]}});hljs.registerLanguage("markdown",function(e){return{aliases:["md","mkdown","mkd"],c:[{cN:"section",v:[{b:"^#{1,6}",e:"$"},{b:"^.+?\\n[=-]{2,}$"}]},{b:"<",e:">",sL:"xml",r:0},{cN:"bullet",b:"^([*+-]|(\\d+\\.))\\s+"},{cN:"strong",b:"[*_]{2}.+?[*_]{2}"},{cN:"emphasis",v:[{b:"\\*.+?\\*"},{b:"_.+?_",r:0}]},{cN:"quote",b:"^>\\s+",e:"$"},{cN:"code",v:[{b:"^```w*s*$",e:"^```s*$"},{b:"`.+?`"},{b:"^( {4}|	)",e:"$",r:0}]},{b:"^[-\\*]{3,}",e:"$"},{b:"\\[.+?\\][\\(\\[].*?[\\)\\]]",rB:!0,c:[{cN:"string",b:"\\[",e:"\\]",eB:!0,rE:!0,r:0},{cN:"link",b:"\\]\\(",e:"\\)",eB:!0,eE:!0},{cN:"symbol",b:"\\]\\[",e:"\\]",eB:!0,eE:!0}],r:10},{b:/^\[[^\n]+\]:/,rB:!0,c:[{cN:"symbol",b:/\[/,e:/\]/,eB:!0,eE:!0},{cN:"link",b:/:\s*/,e:/$/,eB:!0}]}]}});hljs.registerLanguage("htmlbars",function(e){var a="action collection component concat debugger each each-in else get hash if input link-to loc log mut outlet partial query-params render textarea unbound unless with yield view",t={i:/\}\}/,b:/[a-zA-Z0-9_]+=/,rB:!0,r:0,c:[{cN:"attr",b:/[a-zA-Z0-9_]+/}]},i=({i:/\}\}/,b:/\)/,e:/\)/,c:[{b:/[a-zA-Z\.\-]+/,k:{built_in:a},starts:{eW:!0,r:0,c:[e.QSM]}}]},{eW:!0,r:0,k:{keyword:"as",built_in:a},c:[e.QSM,t,e.NM]});return{cI:!0,sL:"xml",c:[e.C("{{!(--)?","(--)?}}"),{cN:"template-tag",b:/\{\{[#\/]/,e:/\}\}/,c:[{cN:"name",b:/[a-zA-Z\.\-]+/,k:{"builtin-name":a},starts:i}]},{cN:"template-variable",b:/\{\{[a-zA-Z][a-zA-Z\-]+/,e:/\}\}/,k:{keyword:"as",built_in:a},c:[e.QSM]}]}});hljs.registerLanguage("coffeescript",function(e){var c={keyword:"in if for while finally new do return else break catch instanceof throw try this switch continue typeof delete debugger super yield import export from as default await then unless until loop of by when and or is isnt not",literal:"true false null undefined yes no on off",built_in:"npm require console print module global window document"},n="[A-Za-z$_][0-9A-Za-z$_]*",r={cN:"subst",b:/#\{/,e:/}/,k:c},i=[e.BNM,e.inherit(e.CNM,{starts:{e:"(\\s*/)?",r:0}}),{cN:"string",v:[{b:/'''/,e:/'''/,c:[e.BE]},{b:/'/,e:/'/,c:[e.BE]},{b:/"""/,e:/"""/,c:[e.BE,r]},{b:/"/,e:/"/,c:[e.BE,r]}]},{cN:"regexp",v:[{b:"///",e:"///",c:[r,e.HCM]},{b:"//[gim]*",r:0},{b:/\/(?![ *])(\\\/|.)*?\/[gim]*(?=\W|$)/}]},{b:"@"+n},{sL:"javascript",eB:!0,eE:!0,v:[{b:"```",e:"```"},{b:"`",e:"`"}]}];r.c=i;var s=e.inherit(e.TM,{b:n}),t="(\\(.*\\))?\\s*\\B[-=]>",o={cN:"params",b:"\\([^\\(]",rB:!0,c:[{b:/\(/,e:/\)/,k:c,c:["self"].concat(i)}]};return{aliases:["coffee","cson","iced"],k:c,i:/\/\*/,c:i.concat([e.C("###","###"),e.HCM,{cN:"function",b:"^\\s*"+n+"\\s*=\\s*"+t,e:"[-=]>",rB:!0,c:[s,o]},{b:/[:\(,=]\s*/,r:0,c:[{cN:"function",b:t,e:"[-=]>",rB:!0,c:[o]}]},{cN:"class",bK:"class",e:"$",i:/[:="\[\]]/,c:[{bK:"extends",eW:!0,i:/[:="\[\]]/,c:[s]},s]},{b:n+":",e:":",rB:!0,rE:!0,r:0}])}});hljs.registerLanguage("css",function(e){var c="[a-zA-Z-][a-zA-Z0-9_-]*",t={b:/[A-Z\_\.\-]+\s*:/,rB:!0,e:";",eW:!0,c:[{cN:"attribute",b:/\S/,e:":",eE:!0,starts:{eW:!0,eE:!0,c:[{b:/[\w-]+\(/,rB:!0,c:[{cN:"built_in",b:/[\w-]+/},{b:/\(/,e:/\)/,c:[e.ASM,e.QSM]}]},e.CSSNM,e.QSM,e.ASM,e.CBCM,{cN:"number",b:"#[0-9A-Fa-f]+"},{cN:"meta",b:"!important"}]}}]};return{cI:!0,i:/[=\/|'\$]/,c:[e.CBCM,{cN:"selector-id",b:/#[A-Za-z0-9_-]+/},{cN:"selector-class",b:/\.[A-Za-z0-9_-]+/},{cN:"selector-attr",b:/\[/,e:/\]/,i:"$"},{cN:"selector-pseudo",b:/:(:)?[a-zA-Z0-9\_\-\+\(\)"'.]+/},{b:"@(font-face|page)",l:"[a-z-]+",k:"font-face page"},{b:"@",e:"[{;]",i:/:/,c:[{cN:"keyword",b:/\w+/},{b:/\s/,eW:!0,eE:!0,r:0,c:[e.ASM,e.QSM,e.CSSNM]}]},{cN:"selector-tag",b:c,r:0},{b:"{",e:"}",i:/\S/,c:[e.CBCM,t]}]}});

(function (global, factory) {
    typeof exports === 'object' && typeof module !== 'undefined' ? factory(exports) :
    typeof define === 'function' && define.amd ? define(['exports'], factory) :
    (factory((global.copee = {})));
}(this, (function (exports) { 'use strict';

    /**
     * Copy text to the user's clipboard
     */
    function toClipboard(text) {
        // Create element and select the text
        const ta = document.createElement('textarea');
        ta.value = text;
        ta.cols = 1;
        ta.rows = 1;
        ta.style.color = 'transparent';
        ta.style.border = 'none';
        document.body.appendChild(ta);
        ta.select();
        let success = false;
        try {
            success = document.execCommand('copy');
        }
        catch (err) {
            success = false;
        }
        // Cleanup the element we created
        document.body.removeChild(ta);
        return success;
    }
    /**
     * Copy text from an input/textarea element to a user's clipboard
     * @param el The <input> or <textarea> element
     * @param preserveSelection True if text selection/highlight should be preserved after copying text
     */
    function fromElement(el, preserveSelection) {
        let start = 0;
        let end = 0;
        let success = false;
        if (preserveSelection) {
            start = el.selectionStart || 0;
            end = el.selectionEnd || 0;
        }
        el.select();
        try {
            success = document.execCommand('copy');
        }
        catch (err) {
            success = false;
        }
        if (preserveSelection) {
            el.setSelectionRange(start, end);
        }
        return success;
    }

    exports.toClipboard = toClipboard;
    exports.fromElement = fromElement;

    Object.defineProperty(exports, '__esModule', { value: true });

})));

define("{{applicationName}}/documentation/src/router", ["exports"], function (_exports) {
  "use strict";

  Object.defineProperty(_exports, "__esModule", {
    value: true
  });
  _exports.default = _default;

  function _default(ENV) {
    this.route('documentation', {
      path: ENV.documentation.path
    }, function () {
      this.route('index', {
        path: '/'
      });
      this.route('buttons');
      this.route('color-scheme');
      this.route('components', function () {
        this.route('demo');
        this.route('snippet');
        this.route('header');
        this.route('viewer');
      });
    });
  }
});
define("{{applicationName}}/src/ui/routes/documentation/route", ["exports"], function (_exports) {
  "use strict";

  Object.defineProperty(_exports, "__esModule", {
    value: true
  });
  _exports.default = void 0;

  class DocumentationApplicationRoute extends Ember.Route {}

  _exports.default = DocumentationApplicationRoute;
});
define("{{applicationName}}/src/ui/routes/documentation/template", ["exports"], function (exports) {
    "use strict";

    Object.defineProperty(exports, "__esModule", {
      value: true
    });

    exports.default = Ember.HTMLBars.template({"id":"XNAqmaBt","block":"{\"symbols\":[\"viewer\",\"nav\",\"header\"],\"statements\":[[5,\"docs-header\",[],[[\"@logo\",\"@repository\"],[\"/images/ember-cli.svg\",\"https://github.com/izelnakri/mber\"]],{\"statements\":[[0,\"\\n  \"],[6,[23,3,[\"link\"]],[],[[\"@route\"],[\"documentation.index\"]],{\"statements\":[[0,\"Documentation\"]],\"parameters\":[]}],[0,\"\\n\"]],\"parameters\":[3]}],[0,\"\\n\\n\"],[5,\"docs-viewer\",[],[[],[]],{\"statements\":[[0,\"\\n  \"],[6,[23,1,[\"navigation\"]],[],[[],[]],{\"statements\":[[0,\"\\n    \"],[6,[23,2,[\"title\"]],[],[[\"@label\"],[\"Foundation\"]]],[0,\"\\n\\n    \"],[6,[23,2,[\"link\"]],[],[[\"@label\",\"@route\"],[\"Introduction\",\"documentation.index\"]]],[0,\"\\n    \"],[6,[23,2,[\"link\"]],[],[[\"@label\",\"@route\"],[\"Color scheme\",\"documentation.color-scheme\"]]],[0,\"\\n    \"],[6,[23,2,[\"link\"]],[],[[\"@label\",\"@route\"],[\"Buttons\",\"documentation.buttons\"]]],[0,\"\\n\\n    \"],[6,[23,2,[\"title\"]],[],[[\"@label\"],[\"Components\"]]],[0,\"\\n    \"],[6,[23,2,[\"link\"]],[],[[\"@label\",\"@route\"],[\"Demo\",\"documentation.components.demo\"]]],[0,\"\\n    \"],[6,[23,2,[\"link\"]],[],[[\"@label\",\"@route\"],[\"Header\",\"documentation.components.header\"]]],[0,\"\\n    \"],[6,[23,2,[\"link\"]],[],[[\"@label\",\"@route\"],[\"Viewer\",\"documentation.components.viewer\"]]],[0,\"\\n    \"],[6,[23,2,[\"link\"]],[],[[\"@label\",\"@route\"],[\"Snippet\",\"documentation.components.snippet\"]]],[0,\"\\n  \"]],\"parameters\":[2]}],[0,\"\\n\\n  \"],[6,[23,1,[\"page\"]],[],[[],[]],{\"statements\":[[0,\"\\n    \"],[1,[22,\"outlet\"],false],[0,\"\\n  \"]],\"parameters\":[]}],[0,\"\\n\"]],\"parameters\":[1]}],[0,\"\\n\"]],\"hasEval\":false}","meta":{"moduleName":"{{applicationName}}/src/ui/routes/documentation/template"}});
  })
define("{{applicationName}}/src/ui/routes/documentation/buttons/route", ["exports"], function (_exports) {
  "use strict";

  Object.defineProperty(_exports, "__esModule", {
    value: true
  });
  _exports.default = void 0;

  class DocumentationButtonRoute extends Ember.Route {}

  _exports.default = DocumentationButtonRoute;
});
define("{{applicationName}}/src/ui/routes/documentation/buttons/template", ["exports"], function (exports) {
    "use strict";

    Object.defineProperty(exports, "__esModule", {
      value: true
    });

    exports.default = Ember.HTMLBars.template({"id":"EWmP37b5","block":"{\"symbols\":[\"demo\",\"demo\",\"demo\"],\"statements\":[[7,\"h1\",true],[8],[0,\"Buttons\"],[9],[0,\"\\n\\n\"],[5,\"docs-demo\",[],[[],[]],{\"statements\":[[0,\"\\n  \"],[6,[23,3,[\"example\"]],[],[[],[]],{\"statements\":[[0,\"\\n    \"],[7,\"button\",true],[10,\"class\",\"btn btn-primary\"],[10,\"style\",\"padding: .375rem .75rem;font-size: 1rem;line-height: 1.5;border-radius: .25rem;color: #fff;background-color: #007bff;border: none;\"],[10,\"type\",\"button\"],[8],[0,\"Primary\"],[9],[0,\"\\n    \"],[7,\"button\",true],[10,\"class\",\"btn btn-secondary\"],[10,\"style\",\"padding: .375rem .75rem;font-size: 1rem;line-height: 1.5;border-radius: .25rem;color: #fff;background-color: #6c757d;border: none;\"],[10,\"type\",\"button\"],[8],[0,\"Secondary\"],[9],[0,\"\\n    \"],[7,\"button\",true],[10,\"class\",\"btn btn-success\"],[10,\"style\",\"padding: .375rem .75rem;font-size: 1rem;line-height: 1.5;border-radius: .25rem;color: #fff;background-color: #28a745;border: none;\"],[10,\"type\",\"button\"],[8],[0,\"Success\"],[9],[0,\"\\n    \"],[7,\"button\",true],[10,\"class\",\"btn btn-danger\"],[10,\"style\",\"padding: .375rem .75rem;font-size: 1rem;line-height: 1.5;border-radius: .25rem;color: #fff;background-color: #dc3545;border: none;\"],[10,\"type\",\"button\"],[8],[0,\"Danger\"],[9],[0,\"\\n    \"],[7,\"button\",true],[10,\"class\",\"btn btn-warning\"],[10,\"style\",\"padding: .375rem .75rem;font-size: 1rem;line-height: 1.5;border-radius: .25rem;color: #212529;background-color: #ffc107;border: none;\"],[10,\"type\",\"button\"],[8],[0,\"Warning\"],[9],[0,\"\\n    \"],[7,\"button\",true],[10,\"class\",\"btn btn-info\"],[10,\"style\",\"padding: .375rem .75rem;font-size: 1rem;line-height: 1.5;border-radius: .25rem;color: #fff;background-color: #17a2b8;border: none;\"],[10,\"type\",\"button\"],[8],[0,\"Info\"],[9],[0,\"\\n    \"],[7,\"button\",true],[10,\"class\",\"btn btn-light\"],[10,\"style\",\"padding: .375rem .75rem;font-size: 1rem;line-height: 1.5;border-radius: .25rem;color: black;background-color: #f8f9fa;border: none;\"],[10,\"type\",\"button\"],[8],[0,\"Light\"],[9],[0,\"\\n    \"],[7,\"button\",true],[10,\"class\",\"btn btn-dark\"],[10,\"style\",\"padding: .375rem .75rem;font-size: 1rem;line-height: 1.5;border-radius: .25rem;color: #fff;background-color: #343a40;border: none;\"],[10,\"type\",\"button\"],[8],[0,\"Dark\"],[9],[0,\"\\n    \"],[7,\"button\",true],[10,\"class\",\"btn btn-link\"],[10,\"style\",\"padding: .375rem .75rem;font-size: 1rem;line-height: 1.5;border-radius: .25rem;color: #007bff;background-color: transparent;border: none;text-decoration: underline\"],[10,\"type\",\"button\"],[8],[0,\"Link\"],[9],[0,\"\\n  \"]],\"parameters\":[]}],[0,\"\\n\\n  \"],[6,[23,3,[\"snippet\"]],[],[[\"@title\",\"@code\"],[\"Button colors\",\"\\n  <button type=\\\"button\\\" class=\\\"btn btn-primary\\\">Primary</button>\\n  <button type=\\\"button\\\" class=\\\"btn btn-secondary\\\">Secondary</button>\\n  <button type=\\\"button\\\" class=\\\"btn btn-success\\\">Success</button>\\n  <button type=\\\"button\\\" class=\\\"btn btn-danger\\\">Danger</button>\\n  <button type=\\\"button\\\" class=\\\"btn btn-warning\\\">Warning</button>\\n  <button type=\\\"button\\\" class=\\\"btn btn-info\\\">Info</button>\\n  <button type=\\\"button\\\" class=\\\"btn btn-light\\\">Light</button>\\n  <button type=\\\"button\\\" class=\\\"btn btn-dark\\\">Dark</button>\\n  <button type=\\\"button\\\" class=\\\"btn btn-link\\\">Link</button>\\n  \"]]],[0,\"\\n\"]],\"parameters\":[3]}],[0,\"\\n\\n\"],[7,\"h2\",true],[8],[0,\"Outline Buttons\"],[9],[0,\"\\n\\n\"],[5,\"docs-demo\",[],[[],[]],{\"statements\":[[0,\"\\n  \"],[6,[23,2,[\"example\"]],[],[[],[]],{\"statements\":[[0,\"\\n    \"],[7,\"button\",true],[10,\"class\",\"btn btn-outline-primary\"],[10,\"style\",\"padding: .375rem .75rem;font-size: 1rem;line-height: 1.5;border-radius: 3px;color: #007bff;background-color: transparent;background-image: none;border-color: #007bff;\"],[10,\"type\",\"button\"],[8],[0,\"Primary\"],[9],[0,\"\\n    \"],[7,\"button\",true],[10,\"class\",\"btn btn-outline-secondary\"],[10,\"style\",\"padding: .375rem .75rem;font-size: 1rem;line-height: 1.5;border-radius: 3px;color: #6c757d;background-color: transparent;background-image: none;border-color: #6c757d;\"],[10,\"type\",\"button\"],[8],[0,\"Secondary\"],[9],[0,\"\\n    \"],[7,\"button\",true],[10,\"class\",\"btn btn-outline-success\"],[10,\"style\",\"padding: .375rem .75rem;font-size: 1rem;line-height: 1.5;border-radius: 3px;color: #28a745;background-color: transparent;background-image: none;border-color: #28a745;\"],[10,\"type\",\"button\"],[8],[0,\"Success\"],[9],[0,\"\\n    \"],[7,\"button\",true],[10,\"class\",\"btn btn-outline-danger\"],[10,\"style\",\"padding: .375rem .75rem;font-size: 1rem;line-height: 1.5;border-radius: 3px;color: #dc3545;background-color: transparent;background-image: none;border-color: #dc3545;\"],[10,\"type\",\"button\"],[8],[0,\"Danger\"],[9],[0,\"\\n    \"],[7,\"button\",true],[10,\"class\",\"btn btn-outline-warning\"],[10,\"style\",\"padding: .375rem .75rem;font-size: 1rem;line-height: 1.5;border-radius: 3px;color: #ffc107;background-color: transparent;background-image: none;border-color: #ffc107;\"],[10,\"type\",\"button\"],[8],[0,\"Warning\"],[9],[0,\"\\n    \"],[7,\"button\",true],[10,\"class\",\"btn btn-outline-info\"],[10,\"style\",\"padding: .375rem .75rem;font-size: 1rem;line-height: 1.5;border-radius: 3px;color: #17a2b8;background-color: transparent;background-image: none;border-color: #17a2b8;\"],[10,\"type\",\"button\"],[8],[0,\"Info\"],[9],[0,\"\\n    \"],[7,\"button\",true],[10,\"class\",\"btn btn-outline-light\"],[10,\"style\",\"padding: .375rem .75rem;font-size: 1rem;line-height: 1.5;border-radius: 3px;color: #f8f9fa;background-color: transparent;background-image: none;border-color: #f8f9fa;\"],[10,\"type\",\"button\"],[8],[0,\"Light\"],[9],[0,\"\\n    \"],[7,\"button\",true],[10,\"class\",\"btn btn-outline-dark\"],[10,\"style\",\"padding: .375rem .75rem;font-size: 1rem;line-height: 1.5;border-radius: 3px;color: #343a40;background-color: transparent;background-image: none;border-color: #343a40;\"],[10,\"type\",\"button\"],[8],[0,\"Dark\"],[9],[0,\"\\n  \"]],\"parameters\":[]}],[0,\"\\n\\n  \"],[6,[23,2,[\"snippet\"]],[],[[\"@title\",\"@code\"],[\"Outline buttons\",\"\\n  <button type=\\\"button\\\" class=\\\"btn btn-outline-primary\\\">Primary</button>\\n  <button type=\\\"button\\\" class=\\\"btn btn-outline-secondary\\\">Secondary</button>\\n  <button type=\\\"button\\\" class=\\\"btn btn-outline-success\\\">Success</button>\\n  <button type=\\\"button\\\" class=\\\"btn btn-outline-danger\\\">Danger</button>\\n  <button type=\\\"button\\\" class=\\\"btn btn-outline-warning\\\">Warning</button>\\n  <button type=\\\"button\\\" class=\\\"btn btn-outline-info\\\">Info</button>\\n  <button type=\\\"button\\\" class=\\\"btn btn-outline-light\\\">Light</button>\\n  <button type=\\\"button\\\" class=\\\"btn btn-outline-dark\\\">Dark</button>\\n  \"]]],[0,\"\\n\"]],\"parameters\":[2]}],[0,\"\\n\\n\"],[7,\"h2\",true],[8],[0,\"Button Sizes\"],[9],[0,\"\\n\\n\"],[5,\"docs-demo\",[],[[],[]],{\"statements\":[[0,\"\\n  \"],[6,[23,1,[\"example\"]],[],[[],[]],{\"statements\":[[0,\"\\n    \"],[7,\"button\",true],[10,\"class\",\"btn btn-primary btn-sm\"],[10,\"style\",\"padding: .25rem .5rem;font-size: 1rem;line-height: 1.5;border-radius: .25rem;color: #fff;background-color: #007bff;border: none;\"],[10,\"type\",\"button\"],[8],[0,\"Small button\"],[9],[0,\"\\n    \"],[7,\"button\",true],[10,\"class\",\"btn btn-primary\"],[10,\"style\",\"padding: .375rem .75rem;font-size: 1rem;line-height: 1.5;border-radius: .25rem;color: #fff;background-color: #007bff;border: none;\"],[10,\"type\",\"button\"],[8],[0,\"Normal button\"],[9],[0,\"\\n    \"],[7,\"button\",true],[10,\"class\",\"btn btn-primary btn-lg\"],[10,\"style\",\"padding: .5rem 1rem;font-size: 1rem;line-height: 1.5;border-radius: .25rem;color: #fff;background-color: #007bff;border: none;\"],[10,\"type\",\"button\"],[8],[0,\"Large button\"],[9],[0,\"\\n    \"],[7,\"button\",true],[10,\"class\",\"btn btn-primary btn-lg btn-block\"],[10,\"style\",\"margin: 10px 0;display: block; width: 100%;padding: .375rem .75rem;font-size: 1rem;line-height: 1.5;border-radius: .25rem;color: #fff;background-color: #007bff;border: none;\"],[10,\"type\",\"button\"],[8],[0,\"Block level button\"],[9],[0,\"\\n  \"]],\"parameters\":[]}],[0,\"\\n\\n  \"],[6,[23,1,[\"snippet\"]],[],[[\"@title\",\"@code\"],[\"Button sizes\",\"\\n  <button type=\\\"button\\\" class=\\\"btn btn-primary btn-sm\\\">Small button</button>\\n  <button type=\\\"button\\\" class=\\\"btn btn-primary\\\">Normal button</button>\\n  <button type=\\\"button\\\" class=\\\"btn btn-primary btn-lg\\\">Large button</button>\\n  <button type=\\\"button\\\" class=\\\"btn btn-primary btn-lg btn-block\\\">Block level button</button>\\n  \"]]],[0,\"\\n\"]],\"parameters\":[1]}],[0,\"\\n\"]],\"hasEval\":false}","meta":{"moduleName":"{{applicationName}}/src/ui/routes/documentation/buttons/template"}});
  })
define("{{applicationName}}/src/ui/routes/documentation/color-scheme/route", ["exports"], function (_exports) {
  "use strict";

  Object.defineProperty(_exports, "__esModule", {
    value: true
  });
  _exports.default = void 0;

  class DocumentationColorSchemeRoute extends Ember.Route {}

  _exports.default = DocumentationColorSchemeRoute;
});
define("{{applicationName}}/src/ui/routes/documentation/color-scheme/template", ["exports"], function (exports) {
    "use strict";

    Object.defineProperty(exports, "__esModule", {
      value: true
    });

    exports.default = Ember.HTMLBars.template({"id":"jLSahQm1","block":"{\"symbols\":[\"demo\",\"demo\"],\"statements\":[[7,\"h1\",true],[8],[0,\"Color Scheme\"],[9],[0,\"\\n\\n\"],[5,\"docs-demo\",[],[[],[]],{\"statements\":[[0,\"\\n  \"],[5,\"docs-color\",[],[[\"@title\",\"@color\"],[\"primary\",\"#007bff\"]]],[0,\"\\n  \"],[5,\"docs-color\",[],[[\"@title\",\"@color\"],[\"secondary\",\"#6c757d\"]]],[0,\"\\n  \"],[5,\"docs-color\",[],[[\"@title\",\"@color\"],[\"success\",\"#28a745\"]]],[0,\"\\n  \"],[5,\"docs-color\",[],[[\"@title\",\"@color\"],[\"info\",\"#17a2b8\"]]],[0,\"\\n  \"],[5,\"docs-color\",[],[[\"@title\",\"@color\"],[\"warning\",\"#ffc107\"]]],[0,\"\\n  \"],[5,\"docs-color\",[],[[\"@title\",\"@color\"],[\"danger\",\"#dc3545\"]]],[0,\"\\n  \"],[5,\"docs-color\",[],[[\"@title\",\"@color\"],[\"light\",\"#f8f9fa\"]]],[0,\"\\n\"]],\"parameters\":[]}],[0,\"\\n\\n\"],[7,\"h2\",true],[8],[0,\"Text colors\"],[9],[0,\"\\n\\n\"],[5,\"docs-demo\",[],[[],[]],{\"statements\":[[0,\"\\n  \"],[6,[23,2,[\"example\"]],[],[[],[]],{\"statements\":[[0,\"\\n    \"],[7,\"p\",true],[8],[0,\"Normal text\"],[9],[0,\"\\n    \"],[7,\"p\",true],[10,\"class\",\"text-primary\"],[10,\"style\",\"color: #007bff\"],[8],[0,\".text-primary\"],[9],[0,\"\\n    \"],[7,\"p\",true],[10,\"class\",\"text-secondary\"],[10,\"style\",\"color: #6c757d\"],[8],[0,\".text-secondary\"],[9],[0,\"\\n    \"],[7,\"p\",true],[10,\"class\",\"text-success\"],[10,\"style\",\"color: #28a745\"],[8],[0,\".text-success\"],[9],[0,\"\\n    \"],[7,\"p\",true],[10,\"class\",\"text-danger\"],[10,\"style\",\"color: #dc3545\"],[8],[0,\".text-danger\"],[9],[0,\"\\n    \"],[7,\"p\",true],[10,\"class\",\"text-warning\"],[10,\"style\",\"color: #ffc107\"],[8],[0,\".text-warning\"],[9],[0,\"\\n    \"],[7,\"p\",true],[10,\"class\",\"text-info\"],[10,\"style\",\"color: #17a2b8\"],[8],[0,\".text-info\"],[9],[0,\"\\n    \"],[7,\"p\",true],[10,\"class\",\"text-muted\"],[10,\"style\",\"color: #f8f9fa\"],[8],[0,\".text-muted\"],[9],[0,\"\\n  \"]],\"parameters\":[]}],[0,\"\\n\\n  \"],[6,[23,2,[\"snippet\"]],[],[[\"@title\",\"@code\"],[\"Text colors\",\"\\n  <p>Normal text</p>\\n  <p class=\\\"text-primary\\\" style=\\\"color: #007bff\\\">.text-primary</p>\\n  <p class=\\\"text-secondary\\\" style=\\\"color: #6c757d\\\">.text-secondary</p>\\n  <p class=\\\"text-success\\\" style=\\\"color: #28a745\\\">.text-success</p>\\n  <p class=\\\"text-danger\\\" style=\\\"color: #dc3545\\\">.text-danger</p>\\n  <p class=\\\"text-warning\\\" style=\\\"color: #ffc107\\\">.text-warning</p>\\n  <p class=\\\"text-info\\\" style=\\\"color: #17a2b8\\\">.text-info</p>\\n  <p class=\\\"text-muted\\\" style=\\\"color: #f8f9fa\\\">.text-muted</p>\\n  \"]]],[0,\"\\n\"]],\"parameters\":[2]}],[0,\"\\n\\n\"],[7,\"h2\",true],[8],[0,\"Background colors\"],[9],[0,\"\\n\\n\"],[5,\"docs-demo\",[],[[],[]],{\"statements\":[[0,\"\\n  \"],[6,[23,1,[\"example\"]],[],[[],[]],{\"statements\":[[0,\"\\n    \"],[7,\"div\",true],[10,\"class\",\"bg-primary text-white\"],[10,\"style\",\"padding: 15px; background: #007bff;color: white\"],[8],[0,\".bg-primary\"],[9],[0,\"\\n    \"],[7,\"div\",true],[10,\"class\",\"bg-secondary text-white\"],[10,\"style\",\"padding: 15px; background: #6c757d;color: white\"],[8],[0,\".bg-secondary\"],[9],[0,\"\\n    \"],[7,\"div\",true],[10,\"class\",\"bg-success text-white\"],[10,\"style\",\"padding: 15px; background: #28a745;color: white\"],[8],[0,\".bg-success\"],[9],[0,\"\\n    \"],[7,\"div\",true],[10,\"class\",\"bg-danger text-white\"],[10,\"style\",\"padding: 15px; background: #dc3545;color: white\"],[8],[0,\".bg-danger\"],[9],[0,\"\\n    \"],[7,\"div\",true],[10,\"class\",\"bg-warning text-dark\"],[10,\"style\",\"padding: 15px; background: #ffc107;color: white\"],[8],[0,\".bg-warning\"],[9],[0,\"\\n    \"],[7,\"div\",true],[10,\"class\",\"bg-info text-white\"],[10,\"style\",\"padding: 15px; background: #17a2b8;color: white\"],[8],[0,\".bg-info\"],[9],[0,\"\\n    \"],[7,\"div\",true],[10,\"class\",\"bg-light text-dark\"],[10,\"style\",\"padding: 15px; background: #f8f9fa;color: #3d4852\"],[8],[0,\".bg-light\"],[9],[0,\"\\n  \"]],\"parameters\":[]}],[0,\"\\n\\n  \"],[6,[23,1,[\"snippet\"]],[],[[\"@title\",\"@code\"],[\"Background colors\",\"\\n  <div class=\\\"bg-primary text-white\\\">.bg-primary</div>\\n  <div class=\\\"bg-secondary text-white\\\">.bg-secondary</div>\\n  <div class=\\\"bg-success text-white\\\">.bg-success</div>\\n  <div class=\\\"bg-danger text-white\\\">.bg-danger</div>\\n  <div class=\\\"bg-warning text-dark\\\">.bg-warning</div>\\n  <div class=\\\"bg-info text-white\\\">.bg-info</div>\\n  <div class=\\\"bg-light text-dark\\\">.bg-light</div>\\n  \"]]],[0,\"\\n\"]],\"parameters\":[1]}],[0,\"\\n\"]],\"hasEval\":false}","meta":{"moduleName":"{{applicationName}}/src/ui/routes/documentation/color-scheme/template"}});
  })
define("{{applicationName}}/src/ui/routes/documentation/components/route", ["exports"], function (_exports) {
  "use strict";

  Object.defineProperty(_exports, "__esModule", {
    value: true
  });
  _exports.default = void 0;

  class DocumentationComponentsRoute extends Ember.Route {}

  _exports.default = DocumentationComponentsRoute;
});
define("{{applicationName}}/src/ui/routes/documentation/components/template", ["exports"], function (exports) {
    "use strict";

    Object.defineProperty(exports, "__esModule", {
      value: true
    });

    exports.default = Ember.HTMLBars.template({"id":"EvjN+x9h","block":"{\"symbols\":[],\"statements\":[[1,[22,\"outlet\"],false],[0,\"\\n\"]],\"hasEval\":false}","meta":{"moduleName":"{{applicationName}}/src/ui/routes/documentation/components/template"}});
  })
define("{{applicationName}}/src/ui/routes/documentation/index/route", ["exports"], function (_exports) {
  "use strict";

  Object.defineProperty(_exports, "__esModule", {
    value: true
  });
  _exports.default = void 0;

  class DocumentationIndexRoute extends Ember.Route {}

  _exports.default = DocumentationIndexRoute;
});
define("{{applicationName}}/src/ui/routes/documentation/index/template", ["exports"], function (exports) {
    "use strict";

    Object.defineProperty(exports, "__esModule", {
      value: true
    });

    exports.default = Ember.HTMLBars.template({"id":"y0k3jQZm","block":"{\"symbols\":[],\"statements\":[[7,\"h1\",true],[8],[0,\"Introduction\"],[9],[0,\"\\n\\n\"],[7,\"p\",true],[8],[0,\"Welcome to the documentation part of this frontend application. These pages are built by \"],[7,\"code\",true],[8],[0,\"mber\"],[9],[0,\". Here you can:\"],[9],[0,\"\\n\\n\"],[7,\"ol\",true],[8],[0,\"\\n  \"],[7,\"li\",true],[8],[0,\"\\n    Showcase your design elements and UI components, as a living styleguide.\\n  \"],[9],[0,\"\\n  \"],[7,\"li\",true],[8],[0,\"\\n    Demo your UI components, show all different states, variations and view them on mobile and desktop devices.\\n  \"],[9],[0,\"\\n  \"],[7,\"li\",true],[8],[0,\"\\n    Document complex UI components and create a general documentation for your frontend.\\n  \"],[9],[0,\"\\n\"],[9],[0,\"\\n\\n\"],[7,\"h2\",true],[8],[0,\"Usage\"],[9],[0,\"\\n\\n\"],[7,\"p\",true],[8],[0,\"\\n  The app you're currently viewing is itself an example ember.js application that ships along with your frontend application.\\n  You can find and edit all the code here under \"],[7,\"code\",true],[8],[0,\"/documentation\"],[9],[0,\" folder in your source code.\\n  If you know how to build applications with \"],[7,\"code\",true],[8],[0,\"ember.js\"],[9],[0,\", you already know how to edit this documentation.\\n  Check the base \"],[7,\"code\",true],[8],[0,\"docs-*\"],[9],[0,\" components here for more detailed usage information.\\n\"],[9],[0,\"\\n\\n\"],[7,\"h2\",true],[8],[0,\"Technical build details\"],[9],[0,\"\\n\\n\"],[7,\"p\",true],[8],[0,\"\\n  This documentation mini-application is built as a seperate \"],[7,\"code\",true],[8],[0,\"documentation.js\"],[9],[0,\" and \"],[7,\"code\",true],[8],[0,\"documentation.css\"],[9],[0,\" files.\\n  Therefore, all the code here is completely seperated from your frontend application.\\n  Documentation files are only included and fetched in your \"],[7,\"code\",true],[8],[0,\"${ENV.documentation.path}\"],[9],[0,\", thus adding more content here does not increase your application build size.\\n  You can enable or disable documentation for different environments via \"],[7,\"code\",true],[8],[0,\"ENV.documentation.enabled\"],[9],[0,\" in \"],[7,\"code\",true],[8],[0,\"config/environments.js\"],[9],[0,\".\\n  Your documentation gets built continously on \"],[7,\"code\",true],[8],[0,\"mber serve\"],[9],[0,\" command.\\n\"],[9],[0,\"\\n\\n\"],[7,\"h2\",true],[8],[0,\"Deploying\"],[9],[0,\"\\n\\n\"],[7,\"p\",true],[8],[0,\"\\n  You can deploy this application to a CDN like \"],[7,\"a\",true],[10,\"href\",\"https://surge.sh/\"],[8],[0,\"Surge.sh\"],[9],[0,\" or run it inside your frontend server.\\n  Everytime you do \"],[7,\"code\",true],[8],[0,\"mber build\"],[9],[0,\" mber will build this application and its assets along with your frontend files, as long as documentation is enabled in your \"],[7,\"code\",true],[8],[0,\"/config/environment.js\"],[9],[0,\".\\n  If you want to deploy this documentation and share it with others you can do the following:\\n\"],[9],[0,\"\\n\\n\"],[5,\"docs-snippet\",[],[[\"@code\"],[\"\\nnpm install -g surge\\nmv dist/index.html dist/200.html\\nsurge dist your-link-name.surge.sh\\n\"]]],[0,\"\\n\\n\"],[7,\"h2\",true],[8],[0,\"Contributing to the project\"],[9],[0,\"\\n\\n\"],[7,\"p\",true],[8],[0,\"\\n  Visit \"],[7,\"a\",true],[10,\"href\",\"https://github.com/izelnakri/mber\"],[8],[0,\"https://github.com/izelnakri/mber\"],[9],[0,\" to file an issue or submit a PR in case if you would like to contribute.\\n\"],[9],[0,\"\\n\"]],\"hasEval\":false}","meta":{"moduleName":"{{applicationName}}/src/ui/routes/documentation/index/template"}});
  })
define("{{applicationName}}/src/ui/routes/documentation/components/demo/controller", ["exports"], function (_exports) {
  "use strict";

  Object.defineProperty(_exports, "__esModule", {
    value: true
  });
  _exports.default = void 0;

  var _class, _temp;

  function _applyDecoratedDescriptor(target, property, decorators, descriptor, context) { var desc = {}; Object.keys(descriptor).forEach(function (key) { desc[key] = descriptor[key]; }); desc.enumerable = !!desc.enumerable; desc.configurable = !!desc.configurable; if ('value' in desc || desc.initializer) { desc.writable = true; } desc = decorators.slice().reverse().reduce(function (desc, decorator) { return decorator(target, property, desc) || desc; }, desc); if (context && desc.initializer !== void 0) { desc.value = desc.initializer ? desc.initializer.call(context) : void 0; desc.initializer = undefined; } if (desc.initializer === void 0) { Object.defineProperty(target, property, desc); desc = null; } return desc; }

  let DocumentationComponentsDemoController = (_class = (_temp = class DocumentationComponentsDemoController extends Ember.Controller {
    constructor(...args) {
      super(...args);
      this.isShowing = false;
    }

    toggleIsShowing() {
      this.isShowing = !this.isShowing;
    }

  }, _temp), (_applyDecoratedDescriptor(_class.prototype, "toggleIsShowing", [Ember._action], Object.getOwnPropertyDescriptor(_class.prototype, "toggleIsShowing"), _class.prototype)), _class);
  _exports.default = DocumentationComponentsDemoController;
});
define("{{applicationName}}/src/ui/routes/documentation/components/demo/route", ["exports"], function (_exports) {
  "use strict";

  Object.defineProperty(_exports, "__esModule", {
    value: true
  });
  _exports.default = void 0;

  class DocumentationComponentsDemoRoute extends Ember.Route {}

  _exports.default = DocumentationComponentsDemoRoute;
});
define("{{applicationName}}/src/ui/routes/documentation/components/demo/template", ["exports"], function (exports) {
    "use strict";

    Object.defineProperty(exports, "__esModule", {
      value: true
    });

    exports.default = Ember.HTMLBars.template({"id":"EZivRGV/","block":"{\"symbols\":[\"demo\",\"demo\",\"demo\"],\"statements\":[[7,\"h1\",true],[8],[0,\"Docs Demo\"],[9],[0,\"\\n\\n\"],[7,\"p\",true],[8],[0,\"\\n  This component provides you with a way to show example components and their code snippet.\\n\"],[9],[0,\"\\n\\n\"],[7,\"p\",true],[8],[0,\"\\n  If you write demos for most of your functionality here using this helper component, and then write integration tests against those demoed component functionalities, your integration tests will accomplish two things:\\n\"],[9],[0,\"\\n\\n\"],[7,\"ul\",true],[8],[0,\"\\n  \"],[7,\"li\",true],[8],[0,\"\\n    They verify your components behavior\\n  \"],[9],[0,\"\\n  \"],[7,\"li\",true],[8],[0,\"\\n    They ensure all of that behavior is working in your documentation site, and up-to-date with your frontend components actual APIs\\n  \"],[9],[0,\"\\n\"],[9],[0,\"\\n\\n\"],[7,\"p\",true],[8],[0,\"\\n  This saves you from ever having to remember that second step of \\\"updating the docs\\\" every time you change your components.\\n\"],[9],[0,\"\\n\\n\"],[7,\"h2\",true],[8],[0,\"Basic usage\"],[9],[0,\"\\n\\n\"],[7,\"p\",true],[8],[0,\"\\n  Let's look at a basic example:\\n\"],[9],[0,\"\\n\\n\"],[5,\"docs-demo\",[],[[],[]],{\"statements\":[[0,\"\\n  \"],[6,[23,3,[\"example\"]],[],[[],[]],{\"statements\":[[0,\"\\n    \"],[7,\"p\",true],[8],[0,\"I am a \"],[7,\"strong\",true],[8],[0,\"handlebars\"],[9],[0,\" template!\"],[9],[0,\"\\n    \"],[7,\"p\",true],[8],[0,\"The value is: \"],[1,[23,0,[\"val\"]],false],[9],[0,\"\\n    \"],[7,\"div\",true],[8],[0,\"\\n      \"],[5,\"input\",[[12,\"class\",\"border\"]],[[\"@value\"],[[23,0,[\"val\"]]]]],[0,\"\\n    \"],[9],[0,\"\\n  \"]],\"parameters\":[]}],[0,\"\\n\\n  \"],[6,[23,3,[\"snippet\"]],[],[[\"@title\",\"@code\"],[\"template.hbs\",[29,[\"\\n  <p>I am a <strong>handlebars</strong> template!</p>\\n  <p>The value is: \",[23,0,[\"val\"]],\"</p>\\n  <div>\\n      <Input @value=\",[23,0,[\"val\"]],\" class=\\\"border\\\"/>\\n  </div>\\n  \"]]]]],[0,\"\\n\"]],\"parameters\":[3]}],[0,\"\\n\\n\"],[7,\"p\",true],[8],[0,\"\\n  Here's the code that rendered the above demo (you can copy-paste this block to get going in your own app):\\n\"],[9],[0,\"\\n\\n\"],[5,\"docs-snippet\",[],[[\"@code\"],[[29,[\"\\n  <DocsDemo as |demo|>\\n    <demo.example>\\n      <p>I am a <strong>handlebars</strong> template!</p>\\n      <p>The value is: \",[23,0,[\"val\"]],\"</p>\\n      <div>\\n        <Input @value=\",[23,0,[\"val\"]],\" class=\\\"border\\\"/>\\n      </div>\\n    </demo.example>\\n\\n    <demo.snippet @title=\\\"template.hbs\\\" @code=\\\"\\n    <p>I am a <strong>handlebars</strong> template!</p>\\n    <p>The value is: \",[23,0,[\"val\"]],\"</p>\\n    <div>\\n      <Input @value=\",[23,0,[\"val\"]],\" class=\\\"border\\\"/>\\n    </div>\\n    \\\"/>\\n </DocsDemo>\\n\"]]]]],[0,\"\\n\\n\"],[7,\"p\",true],[8],[0,\"\\n  To explain,\\n\"],[9],[0,\"\\n\\n\"],[7,\"ul\",true],[8],[0,\"\\n  \"],[7,\"li\",true],[8],[7,\"code\",true],[8],[0,\"DocsDemo\"],[9],[0,\" is the wrapping component\\n  \"],[9],[0,\"\\n  \"],[7,\"li\",true],[8],[0,\"\\n    The contextual component \"],[7,\"code\",true],[8],[0,\"{demo.example}{/demo.example}\"],[9],[0,\" provides a wrapper to display your example.\\n    You'll pass a block to this component with the actual code you're demoing - for example, showing off how to use your button.\\n  \"],[9],[0,\"\\n  \"],[7,\"li\",true],[8],[0,\"\\n    You also need to pass a \"],[7,\"code\",true],[8],[0,\"language=\"],[9],[0,\" to demo.snippet in order to identify your snippet.\\n  \"],[9],[0,\"\\n  \"],[7,\"li\",true],[8],[0,\"\\n    Finally, the \"],[7,\"code\",true],[8],[0,\"{demo.snippet}\"],[9],[0,\" component lets you render different titled snippets that you've identified via demo.snippet code wrappers.\\n  \"],[9],[0,\"\\n\"],[9],[0,\"\\n\\n\"],[7,\"h2\",true],[8],[0,\"Multiple snippets\"],[9],[0,\"\\n\\n\"],[7,\"p\",true],[8],[0,\"\\n  You can render multiple snippets to support your example.\\n  This can be useful when part of your example relies on code defined elsewhere, for example in a component javascript or stylesheet.\\n\"],[9],[0,\"\\n\\n\"],[7,\"p\",true],[8],[0,\"\\n  Use a language attribute to help docs-snippet identify and properly syntax highlight your snippet.\\n  HTMLBars language value is \"],[7,\"code\",true],[8],[0,\"hbs\"],[9],[0,\", JavaScript is \"],[7,\"code\",true],[8],[0,\"js\"],[9],[0,\", stylesheets is \"],[7,\"code\",true],[8],[0,\"scss\"],[9],[0,\".\\n\"],[9],[0,\"\\n\\n\"],[5,\"docs-demo\",[],[[],[]],{\"statements\":[[0,\"\\n  \"],[6,[23,2,[\"example\"]],[],[[],[]],{\"statements\":[[0,\"\\n    \"],[5,\"docs-dummy-example\",[],[[],[]]],[0,\"\\n  \"]],\"parameters\":[]}],[0,\"\\n\\n  \"],[6,[23,2,[\"snippet\"]],[],[[\"@title\",\"@code\"],[\"template.hbs\",[29,[\"\\n  <button onclick=\",[28,\"action\",[[23,0,[]],\"toggleIsShowing\"],null],\" class=\\\"docs-btn\\\">\\n    Press me!\\n  </button>\\n\\n  <div class=\\\"mt-4\\\">\\n    \",[28,\"if\",[[23,0,[\"isShowing\"]],\"Yep\",\"Nope\"],null],\"\\n  </div>\\n  \"]]]]],[0,\"\\n  \"],[6,[23,2,[\"snippet\"]],[],[[\"@title\",\"@code\"],[\"component.js\",\"\\n  import Component from '@ember/component';\\n\\n  export default Component.extend({\\n    classNames: ['docs-dummy-example'],\\n    actions: {\\n      toggleIsShowing() {\\n        this.toggleProperty('isShowing');\\n      }\\n    }\\n  });\\n  \"]]],[0,\"\\n\"]],\"parameters\":[2]}],[0,\"\\n\\n\"],[7,\"h2\",true],[8],[0,\"Custom Snippet Handling\"],[9],[0,\"\\n\\n\"],[7,\"p\",true],[8],[0,\"\\n  If you wish to override the inferred title or syntax highlighting for a snippet, you can specify \"],[7,\"code\",true],[8],[0,\"title\"],[9],[0,\" and \"],[7,\"code\",true],[8],[0,\"language\"],[9],[0,\" properties.\\n\"],[9],[0,\"\\n\\n\"],[5,\"docs-demo\",[],[[],[]],{\"statements\":[[0,\"\\n  \"],[6,[23,1,[\"example\"]],[],[[],[]],{\"statements\":[[0,\"\\n  \"],[7,\"pre\",true],[8],[0,\"  # Markdown\\n  - Has syntax highlighting, too\\n  \"],[9],[0,\"\\n  \"]],\"parameters\":[]}],[0,\"\\n\\n  \"],[6,[23,1,[\"snippet\"]],[],[[\"@title\",\"@code\"],[\"Source\",\"\\n  <DocsDemo as |demo|>\\n    <demo.example @name=\\\"docs-demo-custom.md\\\">\\n      <pre>\\n      # Markdown\\n      - Has syntax highlighting, too\\n      </pre>\\n    </demo.example>\\n\\n    <demo.snippet @title=\\\"Source\\\"/>\\n    <demo.snippet @title=\\\"My Custom Label\\\"/>\\n  </DocsDemo>\\n  \"]]],[0,\"\\n\\n  \"],[6,[23,1,[\"snippet\"]],[],[[\"@title\",\"@language\",\"@code\"],[\"My Custom Label\",\"mg\",\"\\n  <pre>\\n  # Markdown\\n  - Has syntax highlighting, too\\n  </pre>\\n  \"]]],[0,\"\\n\"]],\"parameters\":[1]}],[0,\"\\n\"]],\"hasEval\":false}","meta":{"moduleName":"{{applicationName}}/src/ui/routes/documentation/components/demo/template"}});
  })
define("{{applicationName}}/src/ui/routes/documentation/components/header/route", ["exports"], function (_exports) {
  "use strict";

  Object.defineProperty(_exports, "__esModule", {
    value: true
  });
  _exports.default = void 0;

  class DocumentationComponentsHeaderRoute extends Ember.Route {}

  _exports.default = DocumentationComponentsHeaderRoute;
});
define("{{applicationName}}/src/ui/routes/documentation/components/header/template", ["exports"], function (exports) {
    "use strict";

    Object.defineProperty(exports, "__esModule", {
      value: true
    });

    exports.default = Ember.HTMLBars.template({"id":"Jfi4tAhQ","block":"{\"symbols\":[\"demo\",\"header\",\"demo\"],\"statements\":[[7,\"h1\",true],[8],[0,\"Docs Header\"],[9],[0,\"\\n\\n\"],[7,\"p\",true],[8],[0,\"\\n  A header that gives you an easy autogenerated logo via the logo and name attributes, top-level nav, and a link to your GitHub repo.\\n\"],[9],[0,\"\\n\\n\"],[5,\"docs-demo\",[],[[],[]],{\"statements\":[[0,\"\\n  \"],[6,[23,3,[\"example\"]],[],[[],[]],{\"statements\":[[0,\"\\n    \"],[5,\"docs-header\",[],[[],[]]],[0,\"\\n  \"]],\"parameters\":[]}],[0,\"\\n\\n  \"],[6,[23,3,[\"snippet\"]],[],[[\"@title\",\"@code\"],[\"template.hbs\",\"<DocsHeader/>\"]]],[0,\"\\n\"]],\"parameters\":[3]}],[0,\"\\n\\n\"],[7,\"p\",true],[8],[0,\"\\n  You can render additional header links using the \"],[7,\"code\",true],[8],[0,\"header.link\"],[9],[0,\" yielded component:\\n\"],[9],[0,\"\\n\\n\"],[5,\"docs-demo\",[],[[],[]],{\"statements\":[[0,\"\\n  \"],[6,[23,1,[\"example\"]],[],[[],[]],{\"statements\":[[0,\"\\n    \"],[5,\"docs-header\",[],[[\"@logo\",\"@repository\"],[\"/images/ember-cli.svg\",\"https://github.com/ember-learn/ember-cli-addon-docs\"]],{\"statements\":[[0,\"\\n      \"],[6,[23,2,[\"link\"]],[],[[\"@route\"],[\"index\"]],{\"statements\":[[0,\"Another\"]],\"parameters\":[]}],[0,\"\\n    \"]],\"parameters\":[2]}],[0,\"\\n  \"]],\"parameters\":[]}],[0,\"\\n\\n  \"],[6,[23,1,[\"snippet\"]],[],[[\"@title\",\"@code\"],[\"template.hbs\",\"\\n  <DocsHeader @logo=\\\"/images/ember-cli.svg\\\" @repository=\\\"https://github.com/ember-learn/ember-cli-addon-docs\\\" as |header|>\\n    <header.link @route=\\\"index\\\">Another</header.link>\\n  </DocsHeader>\\n  \"]]],[0,\"\\n\"]],\"parameters\":[1]}],[0,\"\\n\"]],\"hasEval\":false}","meta":{"moduleName":"{{applicationName}}/src/ui/routes/documentation/components/header/template"}});
  })
define("{{applicationName}}/src/ui/routes/documentation/components/snippet/route", ["exports"], function (_exports) {
  "use strict";

  Object.defineProperty(_exports, "__esModule", {
    value: true
  });
  _exports.default = void 0;

  class DocumentationComponentsSnippetRoute extends Ember.Route {}

  _exports.default = DocumentationComponentsSnippetRoute;
});
define("{{applicationName}}/src/ui/routes/documentation/components/snippet/template", ["exports"], function (exports) {
    "use strict";

    Object.defineProperty(exports, "__esModule", {
      value: true
    });

    exports.default = Ember.HTMLBars.template({"id":"kM0L8+ei","block":"{\"symbols\":[],\"statements\":[[7,\"h1\",true],[8],[0,\"Docs Snippet\"],[9],[0,\"\\n\\n\"],[7,\"p\",true],[8],[0,\"Easily render a code snippet with syntax highlighting and a copy-to-clipboard button.\"],[9],[0,\"\\n\\n\"],[7,\"h2\",true],[8],[0,\"Handlebars\"],[9],[0,\"\\n\\n\"],[7,\"p\",true],[8],[0,\"\\n  To render a Handlebars snippet from one of your templates, wrap it in \"],[7,\"code\",true],[8],[0,\"{DocsSnippet @language=\\\"hbs\\\" @code=\\\"${htmlbarsCode}\\\"}\"],[9],[0,\".\\n\"],[9],[0,\"\\n\\n\"],[5,\"docs-snippet\",[],[[\"@code\"],[[29,[\"\\n  <div id=\\\"foo\\\">\\n    <MyAwesomeThing\\n      @some=\",true,\"\\n      @options=\",false,\">\\n      <p>Something old, something new</p>\\n    </MyAwesomeThing>\\n  </div>\\n\"]]]]],[0,\"\\n\\n\"],[7,\"p\",true],[8],[0,\"\\nIf you want the code to render and also show the snippet, check out the \"],[5,\"link-to\",[],[[\"@route\"],[\"documentation.components.demo\"]],{\"statements\":[[0,\"Docs Demo component\"]],\"parameters\":[]}],[0,\"\\n  You can also render other language snippets like, like JavaScript and SCSS.\\n\"],[9],[0,\"\\n\\n\"],[7,\"h2\",true],[8],[0,\"Customizing Snippets\"],[9],[0,\"\\n\\n\"],[7,\"p\",true],[8],[0,\"\\n  By default, snippets will render with a button allowing readers to copy the snippet's contents to their clipboard.\\n  You can turn this off by passing showCopy=false to \"],[7,\"code\",true],[8],[0,\"{DocsSnippet}\"],[9],[0,\" You can override the detected language for syntax highlighting in your snippet by specifying a language property.\\n  Finally, you can use the title property to specify a header for your snippet:\\n\"],[9],[0,\"\\n\\n\"],[5,\"docs-snippet\",[],[[\"@title\",\"@language\",\"@showCopy\",\"@code\"],[\"src/ui/components/my-component/component.js\",\"js\",false,\"\\n  import Component from '@ember/component';\\n  export default Component.extend({\\n  });\\n\"]]],[0,\"\\n\"]],\"hasEval\":false}","meta":{"moduleName":"{{applicationName}}/src/ui/routes/documentation/components/snippet/template"}});
  })
define("{{applicationName}}/src/ui/routes/documentation/components/viewer/route", ["exports"], function (_exports) {
  "use strict";

  Object.defineProperty(_exports, "__esModule", {
    value: true
  });
  _exports.default = void 0;

  class DocumentationComponentsViewerRoute extends Ember.Route {}

  _exports.default = DocumentationComponentsViewerRoute;
});
define("{{applicationName}}/src/ui/routes/documentation/components/viewer/template", ["exports"], function (exports) {
    "use strict";

    Object.defineProperty(exports, "__esModule", {
      value: true
    });

    exports.default = Ember.HTMLBars.template({"id":"xhkDqQmY","block":"{\"symbols\":[],\"statements\":[[7,\"h1\",true],[8],[0,\"Docs Viewer\"],[9],[0,\"\\n\\n\"],[7,\"p\",true],[8],[0,\"\\n  The page layout you're viewing right now, including the side nav on the left and the main center panel, come from the Docs Viewer component.\\n  This component is an opinionated setup intended to be used with a dedicated docs route.\\n\"],[9],[0,\"\\n\\n\"],[7,\"p\",true],[8],[0,\"\\n  Both the side nav section and the main area fill up the available height and are independently scrollable.\\n  This is a nice pattern used by many other online documentation viewers that gives your users easy access to navigation while also letting them focus on individual pieces of content without getting overwhelmed.\\n\"],[9],[0,\"\\n\\n\"],[7,\"p\",true],[8],[0,\"\\n  The nav is designed to be flexible enough for simple and complex addons.\\n  You should feel free to structure it as you see fit (some addons will need one section for Components but some will want more, and so on).\\n\"],[9],[0,\"\\n\\n\"],[7,\"p\",true],[8],[0,\"\\n  The large main area is also useful for addons that need more space to illustrate a concept or show a demo.\\n  However, most pages in an addon's docs site should be optimized for reading.\\n\"],[9],[0,\"\\n\\n\"],[7,\"p\",true],[8],[0,\"\\n  To use the Docs Viewer, create a docs route and put your docs-viewer there. Here's how we're using it in this app:\\n\"],[9],[0,\"\\n\\n\"],[5,\"docs-snippet\",[],[[\"@title\",\"@code\"],[\"/documentation/ui/routes/template.hbs\",[29,[\"\\n<DocsHeader @logo=\\\"/images/ember-cli.svg\\\" @repository=\\\"https://github.com/izelnakri/mber\\\" as |header|>\\n  <header.link @route=\\\"documentation.index\\\">Documentation</header.link>\\n</DocsHeader>\\n\\n<DocsViewer as |viewer|>\\n  <viewer.navigation as |nav|>\\n    <nav.title>Foundation</nav.title>\\n\\n    <nav.link @route=\\\"documentation.index\\\">Introduction</nav.link>\\n    <nav.link @route=\\\"documentation.color-scheme\\\">Color Scheme</nav.link>\\n    <nav.link @route=\\\"documentation.buttons\\\">Buttons</nav.link>\\n\\n    <nav.title>Components</nav.title>\\n    <nav.link @route=\\\"documentation.components.demo\\\">Demo</nav.link>\\n    <nav.link @route=\\\"documentation.components.header\\\">Header</nav.link>\\n    <nav.link @route=\\\"documentation.components.viewer\\\">Viewer</nav.link>\\n    <nav.link @route=\\\"documentation.components.snippet\\\">Snipper</nav.link>\\n  </viewer.navigation>\\n\\n  <viewer.page>\\n    \",[22,\"outlet\"],\"\\n  </viewer.page>\\n</DocsViewer>\"]]]]],[0,\"\\n\"]],\"hasEval\":false}","meta":{"moduleName":"{{applicationName}}/src/ui/routes/documentation/components/viewer/template"}});
  })
      